// vehicles and ammo definition

enum ManAction
{
	#define ACTION(x) ManAct##x,
	#include "manActions.hpp"
	#undef ACTION
	ManActN // count of enum values
};

class CfgCloudlets
{
	access=ReadAndCreate;
	class Explosion
	{
		access = ReadOnlyVerified;
		// single cloudlet parameters
		cloudletDuration = 0.2; // time to live (not including fades)
		cloudletAnimPeriod = 0.5; // animation speed
		cloudletSize = 1.0;
		cloudletAlpha = 1.0;
		cloudletGrowUp = 0.05; // grow-up time
		cloudletFadeIn = 0.01; // fade-in time
		cloudletFadeOut = 0.2; // fade-out time
		cloudletAccY = -0.2; // vertical acceleration
		cloudletMinYSpeed = 0; // vertical speed range
		cloudletMaxYSpeed = 6;
		cloudletShape = "cl_fired";
		cloudletColor[] = {1, 1, 1, 0};
		// source parameters
		interval = 0.001;
		size = 4.0;
		sourceSize = 3.0;
		timeToLive = 0;

		initT = 2500;
		deltaT = -4000;
		class Table
		{
			class T14 {maxT = 1400; color[] = {0.91, 0.5, 0.17, 0};}
			class T15 {maxT = 1500; color[] = {1, 0.6, 0.2, 0};}
			class T16 {maxT = 1600; color[] = {1, 0.71, 0.3, 0};}
			class T17 {maxT = 1700; color[] = {0.98, 0.83, 0.41, 0};}
			class T18 {maxT = 1800; color[] = {0.98, 0.91, 0.54, 0};}
			class T19 {maxT = 1900; color[] = {0.98, 0.99, 0.6, 0};}
			class T20 {maxT = 2000; color[] = {0.96, 0.99, 0.72, 0};}
			class T21 {maxT = 2100; color[] = {1, 0.98, 0.91, 0};}
			class T22 {maxT = 2200; color[] = {1, 1, 1, 0};}
		}
	};
#define CS_SPEED	0.8
	class CraterSmoke1
	{
		access = ReadOnlyVerified;
		interval = 0.05 / CS_SPEED;	
		cloudletAnimPeriod = 1 * CS_SPEED;
		cloudletSize = 2.0;
		cloudletAlpha = 1.0; // not used
		cloudletGrowUp = 1.0 * CS_SPEED;
		cloudletFadeIn = 0.1 * CS_SPEED;
		cloudletDuration = 3.0 * CS_SPEED;
		cloudletFadeOut = 1.5 * CS_SPEED;
		cloudletAccY = -0.1;
		cloudletMinYSpeed = 0.0 / CS_SPEED;
		cloudletMaxYSpeed = 5.0 / CS_SPEED;
		cloudletColor[] = {1, 1, 1, 0};
		initT = 500;
		deltaT = -50 * CS_SPEED;
		class Table
		{
			class T0 {maxT = 0; color[] = {1, 1, 1, 0};}
			class T1 {maxT = 500; color[] = {0.5, 0.5, 0.5, 0};}
		}
		cloudletShape = "cl_basic";
		density = 1.0 / 0.7;		// used for alpha
		size = 1.0;					// source size
		timeToLive = 0.4 * CS_SPEED;
		in = 0.0 * CS_SPEED;
		out = 0.0 * CS_SPEED;
		initYSpeed = 5.0 / CS_SPEED;
	};
	class CraterSmoke2
	{
		access = ReadOnlyVerified;
		interval = 0.1 / CS_SPEED;	
		cloudletAnimPeriod = 1 * CS_SPEED;
		cloudletSize = 2.0;
		cloudletAlpha = 1.0; // not used
		cloudletGrowUp = 1.0 * CS_SPEED;
		cloudletFadeIn = 0.1 * CS_SPEED;
		cloudletDuration = 2.5 * CS_SPEED;
		cloudletFadeOut = 1.5 * CS_SPEED;
		cloudletAccY = -0.1;
		cloudletMinYSpeed = 0.0 / CS_SPEED;
		cloudletMaxYSpeed = 2.0 / CS_SPEED;
		cloudletColor[] = {1, 1, 1, 0};
		initT = 0;
		deltaT = 0 * CS_SPEED;
		class Table
		{
			class T0 {maxT = 0; color[] = {1, 1, 1, 0};}
		}
		cloudletShape = "cl_basic";
		density = 1.0 / 0.7;		// used for alpha
		size = 1.0;					// source size
		timeToLive = 1.0 * CS_SPEED;
		in = 0.0 * CS_SPEED;
		out = 2.0 * CS_SPEED;
		initYSpeed = 0 / CS_SPEED;
	};
	class CraterSmoke3
	{
		access = ReadOnlyVerified;
		interval = 0.1 / CS_SPEED;	
		cloudletAnimPeriod = 1 * CS_SPEED;
		cloudletSize = 1.0;
		cloudletAlpha = 0.3; // not used
		cloudletGrowUp = 1.0 * CS_SPEED;
		cloudletFadeIn = 0.5 * CS_SPEED;
		cloudletDuration = 3 * CS_SPEED;
		cloudletFadeOut = 1 * CS_SPEED;
		cloudletAccY = -0.1 * CS_SPEED;
		cloudletMinYSpeed = 0.0 / CS_SPEED;
		cloudletMaxYSpeed = 5.0 / CS_SPEED;
		cloudletColor[] = {1, 1, 1, 0};
		initT = 500;
		deltaT = -80 * CS_SPEED;
		class Table
		{
			class T0 {maxT = 0; color[] = {1, 1, 1, 0};}
		}
		cloudletShape = "cl_basic";
		density = 0.5 / 0.7;		// used for alpha	
		size = 1.0;					// source size
		timeToLive = 2.0 * CS_SPEED;
		in = 0.2 * CS_SPEED;
		out = 0.0 * CS_SPEED;
		initYSpeed = 5.0 / CS_SPEED;
	};
	class CraterDustSmall
	{
		access = ReadOnlyVerified;
		interval = 0.01;	
		cloudletSize = 1;	// not used
		cloudletAlpha = 0.6;
		cloudletDuration = 0.2;
		cloudletAnimPeriod = 1;
		cloudletGrowUp = 0.6;
		cloudletFadeIn = 0;
		cloudletFadeOut = 0.6;
		cloudletAccY = -3.5;
		cloudletMinYSpeed = -20;
		cloudletMaxYSpeed = 10;
		cloudletColor[] = {0.25, 0.23, 0.16, 0};
		initT = 0;
		deltaT = 0;
		class Table
		{
			class T0 {maxT = 0; color[] = {1, 1, 1, 0};}
		}
		cloudletShape = "cl_basic";
		size = 0.2;
		sourceSize = 0.02;
	};
	class CraterBlood : CraterDustSmall
	{
		access = ReadOnlyVerified;
		interval = 0.005;	
		cloudletAlpha = 0.5;
		cloudletDuration = 0.1;
		cloudletAnimPeriod = 1;
		cloudletGrowUp = 0.3;
		cloudletFadeIn = 0;
		cloudletFadeOut = 0.3;
		cloudletAccY = -1;
		cloudletMinYSpeed = -10;
		cloudletMaxYSpeed = 10;

		cloudletShape = "cl_water";
		cloudletColor[] = {0.35, 0.00, 0.05, 0};

		size = 0.15;
		sourceSize = 0.05;
	};
	class CraterWater : CraterDustSmall
	{
		access = ReadOnlyVerified;
		interval = 0.01;	
		cloudletAlpha = 1;
		cloudletDuration = 0.3;
		cloudletAnimPeriod = 1;
		cloudletGrowUp = 0.3;
		cloudletFadeIn = 0;
		cloudletFadeOut = 0.2;
		cloudletAccY = -10;
		cloudletMinYSpeed = -100;
		cloudletMaxYSpeed = 100;

		cloudletShape = "cl_water";
		cloudletColor[] = {0.54, 0.69, 0.645, 0};

		size = 0.02;
		sourceSize = 0.02;
	};
	class CraterDustBig : CraterDustSmall
	{
		access = ReadOnlyVerified;
		cloudletDuration = 2;
		cloudletGrowUp = 0.2;
		cloudletFadeIn = 0.2;
		cloudletFadeOut = 1.5;
		cloudletAccY = -8;
		cloudletMinYSpeed = -20;
		cloudletMaxYSpeed = 10;
	};
	class CloudletsMissile
	{
		access = ReadOnlyVerified;
		interval = 0.005;	
		cloudletSize = 3;
		cloudletAlpha = 0.5;
		cloudletDuration = 0.45;
		cloudletAnimPeriod = 1;
		cloudletGrowUp = 0.05;
		cloudletFadeIn = 0.0;
		cloudletFadeOut = 0.5;
		cloudletAccY = 0;
		cloudletMinYSpeed = -10;
		cloudletMaxYSpeed = 10;
		cloudletColor[] = {1, 1, 1, 0};
		initT = 0;
		deltaT = 0;
		class Table
		{
			class T0 {maxT = 0; color[] = {1, 1, 1, 0};}
		}
		cloudletShape = "missileSmoke";
	};
	class CloudletsMissileManual: CloudletsMissile
	{
		cloudletSize = 0.5;
		cloudletAlpha = 0.4;
	};
	class CloudletsScud: CloudletsMissile
	{
		cloudletSize = 8;
		cloudletAlpha = 0.5;
		cloudletColor[] = {1, 1, 1, 0};

		cloudletFadeIn = 0;
		cloudletDuration = 1.5;
		cloudletFadeOut = 0.5;

		cloudletGrowUp = 1;

		cloudletAccY = 0;
		cloudletMinYSpeed = -1000;
		cloudletMaxYSpeed = 1000;

		interval = 0.02;
		size = 8.0;
		sourceSize = 1.0;
	};
};

// gun fire (used in tanks, ships etc.)
class WeaponFireGun
{
	access = ReadOnlyVerified;
	// single cloudlet parameters
	cloudletDuration = 0.2;		// time to live (not including fades)
	cloudletAnimPeriod = 1.0; // animation speed
	cloudletSize = 1.0;
	cloudletAlpha = 1.0;
		cloudletGrowUp = 0.2;			// grow-up time
	cloudletFadeIn = 0.01;		// fade-in time
	cloudletFadeOut = 0.5;		// fade-out time
	cloudletAccY = 0;					// vertical acceleration
	cloudletMinYSpeed = -100;	// vertical speed range
	cloudletMaxYSpeed = 100;
	cloudletShape = "cl_fired";
	cloudletColor[] = {1, 1, 1, 0};
	// source parameters
	interval = 0.01;
	size = 3;
	sourceSize = 0.5;
	timeToLive = 0;

	initT = 4500;
	deltaT = -3000;
	class Table
	{
		class T0 {maxT = 0; color[] = {0.82, 0.95, 0.93, 0};}
		class T1 {maxT = 200; color[] = {0.75, 0.77, 0.9, 0};}
		class T2 {maxT = 400; color[] = {0.56, 0.62, 0.67, 0};}
		class T3 {maxT = 600; color[] = {0.39, 0.46, 0.47, 0};}
		class T4 {maxT = 800; color[] = {0.24, 0.31, 0.31, 0};}
		class T5 {maxT = 1000; color[] = {0.23, 0.31, 0.29, 0};}
		class T6 {maxT = 1500; color[] = {0.21, 0.29, 0.27, 0};}
		class T7 {maxT = 2000; color[] = {0.19, 0.23, 0.21, 0};}
		class T8 {maxT = 2300; color[] = {0.22, 0.19, 0.1, 0};}
		class T9 {maxT = 2500; color[] = {0.35, 0.2, 0.02, 0};}
		class T10 {maxT = 2600; color[] = {0.62, 0.29, 0.03, 0};}
		class T11 {maxT = 2650; color[] = {0.59, 0.35, 0.05, 0};}
		class T12 {maxT = 2700; color[] = {0.75, 0.37, 0.03, 0};}
		class T13 {maxT = 2750; color[] = {0.88, 0.34, 0.03, 0};}
		class T14 {maxT = 2800; color[] = {0.91, 0.5, 0.17, 0};}
		class T15 {maxT = 2850; color[] = {1, 0.6, 0.2, 0};}
		class T16 {maxT = 2900; color[] = {1, 0.71, 0.3, 0};}
		class T17 {maxT = 2950; color[] = {0.98, 0.83, 0.41, 0};}
		class T18 {maxT = 3000; color[] = {0.98, 0.91, 0.54, 0};}
		class T19 {maxT = 3100; color[] = {0.98, 0.99, 0.6, 0};}
		class T20 {maxT = 3300; color[] = {0.96, 0.99, 0.72, 0};}
		class T21 {maxT = 3600; color[] = {1, 0.98, 0.91, 0};}
		class T22 {maxT = 4200; color[] = {1, 1, 1, 0};}
	}
};

// machine gun fire (used in tanks, ships etc.)
class WeaponFireMGun : WeaponFireGun
{
	cloudletDuration = 0;			// time to live (not including fades)
	cloudletGrowUp = 0.06;		// grow-up time
	cloudletFadeIn = 0;				// fade-in time
	cloudletFadeOut = 0.12;		// fade-out time

	interval = 0.005;
	size = 0.12;
	sourceSize = 0.01;

	initT = 3200;
	deltaT = -4000;
};

// gun clouds (used in tanks, ships etc.)
class WeaponCloudsGun
{
	access = ReadOnlyVerified;
	// single cloudlet parameters
	cloudletDuration = 0.3;		// time to live (not including fades)
	cloudletAnimPeriod = 1.0; // animation speed
	cloudletSize = 1.0;
	cloudletAlpha = 1.0;
	cloudletGrowUp = 1;				// grow-up time
	cloudletFadeIn = 0.01;		// fade-in time
	cloudletFadeOut = 1;			// fade-out time
	cloudletAccY = 0.4;				// vertical acceleration
	cloudletMinYSpeed = 0.2;	// vertical speed range
	cloudletMaxYSpeed = 0.8;
	cloudletShape = "cl_basic";
	cloudletColor[] = {1, 1, 1, 0};
	// source parameters
	interval = 0.05;
	size = 3;
	sourceSize = 0.5;
	timeToLive = 0;

	initT = 0;
	deltaT = 0;
	class Table
	{
		class T0 {maxT = 0; color[] = {1, 1, 1, 0};}
	}
};

// gun clouds (used in tanks, ships etc.)
class WeaponCloudsMGun : WeaponCloudsGun
{
	access = ReadOnlyVerified;

	cloudletGrowUp = 0.05;			// grow-up time
	cloudletFadeIn = 0;		// fade-in time
	cloudletFadeOut = 0.1;		// fade-out time
	cloudletDuration = 0.05;		// time to live (not including fades)

	cloudletAlpha = 0.3;

	cloudletAccY = 0;					// vertical acceleration
	cloudletMinYSpeed = -100;	// vertical speed range
	cloudletMaxYSpeed = 100;

	interval = 0.02;
	size = 0.3;
	sourceSize = 0.02;
};

/*!
	\patch 1.14 Date 8/9/2001 by Ondra
	- Fixed: Texture mapping on flags (about 1/8 of texture was skipped).
*/
class CfgCloth
{
	class Flag
	{
		//stepSize = 0.002; // high end - perfect stable
		stepSize = 0.005; // stable
		//stepSize = 0.01; // nearly stable
		//stepSize = 0.02; // slightly unstable
		colPoints = 9; // number of knots in x-direction
		rowPoints = 9; // number of knots in y-direction

		stretchCoef = 1000;  // stretch force coeficient
		fricCoef = 1; // friction coeficient
		windCoef = 10; // wind coeficient
		gravCoef = 1; // gravity coeficient
	};
};


// vehicles battle types
#define VSoft 0
#define VArmor 1
#define VAir 2

// destruction types
enum
{
	DestructNo,
	DestructBuilding,
	DestructEngine,
	DestructTree,
	DestructTent,
	DestructMan,
	DestructDefault,
};

// InGameUI unit info types
enum UnitInfoType
{
	UnitInfoSoldier,
	UnitInfoTank,
	UnitInfoCar,
	UnitInfoShip,
	UnitInfoAirplane,
	UnitInfoHelicopter,
};

#define CanSeeRadar 1
#define CanSeeEye 2
#define CanSeeOptics 4
#define CanSeeEar 8
#define CanSeeCompass 16 
#define CanSeeRadarC CanSeeRadar+CanSeeCompass
#define CanSeeAll 31

#define mag_xx(a,b) class _xx_##a {magazine = a; count = b;}

#define DefaultWestMagazines(x) \
	class TransportMagazines \
	{ \
		mag_xx(M16,30*x); \
		mag_xx(M60,5*x); \
		mag_xx(HandGrenade,10*x); \
		mag_xx(M21,10*x); \
		mag_xx(LAWLauncher,3*x); \
		mag_xx(GrenadeLauncher,3*x); \
	};
#define DefaultEastMagazines(x) \
	class TransportMagazines \
	{ \
		mag_xx(AK74,30*x); \
		mag_xx(PK,5*x); \
		mag_xx(HandGrenade,10*x); \
		mag_xx(SVDDragunov,10*x); \
		mag_xx(RPGLauncher,3*x); \
		mag_xx(GrenadeLauncher,3*x); \
	};
#define DefaultGuerMagazines(x) \
	class TransportMagazines \
	{ \
		mag_xx(AK47,30*x); \
		mag_xx(HandGrenade,10*x); \
		mag_xx(PK,5*x); \
		mag_xx(LAWLauncher,3*x); \
		mag_xx(GrenadeLauncher,3*x); \
	};

// vehicle types
class CfgVehicles
{
	// define enum value for XML docs
	//-->Vehicle
	access = ReadAndCreate;
	//default definitions valid for all units
	// NOTE: DO NOT enter any classes other than vehicle types

	vehicleClass[]=
	{
		Men, Car, Armored, Air, Support,
		Camera, Objects, Ammo, Sounds, Mines
	};

	/*!
	\patch 1.28 Date 10/22/2001 by Ondra
	- Fixed: Tank drivers were not able to see enemy.
	*/
	class All
	{
		//-- any vehicle
		access = ReadOnlyVerified;

		scope=private;
		reversed=true; // all vehicles are reversed - except static
		autocenter=true; // normal vehicle are autocentered
		animated=true; // model is animated and cannot be assumed static

		mapSize = 10;

		vehicleClass="";

		icon="unknown_object";

		side=TSideUnknown;
		displayName=$STR_DN_UNKNOWN;
		nameSound="target";

		weaponSlots = 0;

		// targets recognition
		camouflage=2; // how dificult to spot - bigger - better spotable
		audible=1; // audible - bigger - better heard
		accuracy=0; // accuracy needed to recognize type of this target
		
		spotableNightLightsOff=0.05; // night spotability coeficients
		spotableNightLightsOn=4;

		insideSoundCoef = 0.5;

		outGunnerMayFire = false;
		viewGunnerInExternal = false;
		unloadInCombat = false;
		
		visibleNightLightsOff=0.1; // night target recognition 
		visibleNightLightsOn=0.2;
		
		// vehicle sensitivity, most vehicles see and hear less than man
		sensitivity=1; // sensor sensitivity
		sensitivityEar=0.0075;

		// default properties
		model=bmp; // typical size vehicle
		picture=; // use picture from model
		simulation=;
		destrType=DestructDefault;
		armor=100;
		armorLights=0.4;
		armorStructural=1.0; // structural dammage

		cost=500000;
		fuelCapacity=0;

		extCameraPosition[]={0,2,-20};

		steerAheadSimul=0.3; // steer point on path properties
		steerAheadPlan=0.4;

		minFireTime=20; // minimal time spent firing on single target

		predictTurnSimul=1.2; // brake before turns
		predictTurnPlan=1.0;

		precision=5; // vehicle movement precision
		brakeDistance=5; // vehicle movement precision
		formationX=10; // formation spacing
		formationZ=20;

		formationTime=10;

		irTarget = true;

		irScanRangeMin=0;
		irScanRangeMax=0;
		irScanToEyeFactor=1;
		irScanGround=true;

		laserTarget = false;
		laserScanner = false;

		preferRoads=false;
		unitInfoType=UnitInfoTank;
		hideUnitInfo=false;
		nightVision=false;

		commanderCanSee = CanSeeAll;
		gunnerCanSee = CanSeeOptics+CanSeeEar+CanSeeCompass;
		driverCanSee = CanSeeEye+CanSeeEar+CanSeeCompass;

		maxSpeed=80; // max speed on level road, km/h
		secondaryExplosion=-1;
		// value<0: calculate from fuel/ammo cargo + tanks and multiply with abs(value)
		// value>0: use value directly as hit in FuelExplosion

		hasDriver=true;
		hasGunner=false;
		hasCommander=false;
		driverIsCommander=false; // default: if there is no commander, gunner is commander

		// hide weapons when unit is sitting on given position
		hideWeaponsDriver = true;
		hideWeaponsGunner = true;
		hideWeaponsCommander = true;
		hideWeaponsCargo = false;

		getInRadius = 2.5;

		class ViewPilotBase
		{
			initAngleX=5; minAngleX=-30; maxAngleX=+30;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
			initFov=0.7; minFov=0.42; maxFov=0.85;
		};
		class ViewCommanderBase
		{
			initAngleX=5; minAngleX=-30; maxAngleX=+30;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
			initFov=0.7; minFov=0.42; maxFov=0.85;
		};
		class ViewGunnerBase
		{
			initAngleX=5; minAngleX=-30; maxAngleX=+30;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
			initFov=0.7; minFov=0.42; maxFov=0.85;
		};
		class ViewCargoBase
		{
			initAngleX=5; minAngleX=-30; maxAngleX=+30;
			initAngleY=0; minAngleY=-360; maxAngleY=+360;
			initFov=0.7; minFov=0.42; maxFov=0.85;
		};
		class ViewOpticsBase
		{
			initAngleX=0; minAngleX=-30; maxAngleX=+30;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
			initFov=0.7; minFov=0.42; maxFov=0.85;
		};

		class ViewPilot: ViewPilotBase {}
		class ViewGunner: ViewGunnerBase {}
		class ViewCommander: ViewCommanderBase {}
		class ViewCargo: ViewCargoBase {}
		class ViewOptics: ViewOpticsBase {}

		// other properties
		transportSoldier = 0;
		transportAmmo = 0;

		transportMaxMagazines = 0;
		transportMaxWeapons = 0;

		transportFuel = 0;
		transportRepair = 0;
		transportVehiclesCount = 0;
		transportVehiclesMass = 0;
		class TransportWeapons {};
		class TransportMagazines {};
		attendant = false;
		
		soundEngine[]={,1,1};
		soundEnviron[]={,1,1};
		class SoundEnvironExt
		{
			// use soundEnviron as default
		};
		soundCrash[]={Vehicles\crash,db-10,1};
		soundLandCrash[]={Explosions\intoground,db-10,1};
		soundWaterCrash[]={Explosions\intowater,db-10,1};
		soundGetIn[]={Vehicles\get_in,db-70,1};
		soundGetOut[]={Vehicles\get_out,db-70,1};
		soundServo[]={Vehicles\gun_elevate,db-40,0.5};
		soundDammage[]={,1,1};

		// default vehicle has no weapons
		weapons[]={};
		magazines[]={};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.7, 0.5, 0.3};

		typicalCargo[]={};

		class Reflectors {};

		getInAction = ManActGetInTank;
		getOutAction = ManActGetOutTank;

		driverAction = ManActCargo;
		gunnerAction = ManActCargo;
		commanderAction = ManActCargo;

		driverInAction = ManActCargo;
		gunnerInAction = ManActCargo;
		commanderInAction = ManActCargo;

		cargoAction[] = {ManActCargo};
		cargoIsCoDriver[] = {false};

		driverOpticsModel = "";
		gunnerOpticsModel = "";
		commanderOpticsModel = "";

		driverOpticsColor[] = {0, 0, 0, 1};
		gunnerOpticsColor[] = {0, 0, 0, 1};
		commanderOpticsColor[] = {0, 0, 0, 1};

		hideProxyInCombat = false;
		forceHideGunner = false;
		forceHideDriver = false;
		forceHideCommander = false;

		// default is to use cargo view if there is no gunner view
		gunnerUsesPilotView = false;
		commanderUsesPilotView = false;

		castDriverShadow = false;
		castGunnerShadow = false;
		castCommanderShadow = false;
		castCargoShadow = false;

		ejectDeadDriver = false;
		ejectDeadGunner = false;
		ejectDeadCommander = false;
		ejectDeadCargo = false;

		crew = "Civilian";

		hiddenSelections[] = {};
	};

	class Logic : All
	{
		//-- game logic invisible unit
		displayName = $STR_DN_LOGIC;
		nameSound = "target";
		scope = public;
		vehicleClass = "Objects";
		simulation = "invisible";
		side = TLogic;
		icon = "vlajka";
		model = "empty";
		picture = iaston;
	};

	class AllVehicles: All
	{
		icon="unknown_move";
	};

	class Land: AllVehicles
	{
		//-- ground vehicle
		displayName=$STR_DN_VEHICLE;
		nameSound="target";
		accuracy=0.0005;
		armor=30;
		cost=100000;
		fuelCapacity=0;
		//weapons[]={Gun120,GunHeat120,MachineGun12_7}; // be carefull - rather expect good tank
		weapons[]={MachineGun12_7}; // if we do not know what it is, it is probably soldier
		magazines[]={MachineGun12_7};
		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.8, 0.8, 0.3};
	};
	class LandVehicle: Land
	{
		displayName=$STR_DN_VEHICLE;
		accuracy=0.02;

		cost=500000;

		class Reflectors
		{
			class Left
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
			class Right
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "P svetlo";
				direction = "konec P svetla";
				hitpoint = "P svetlo";
				selection = "P svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};
	};
	class Car: LandVehicle
	{
		//--
		mapSize = 5;

		icon="car";
		displayName=$STR_DN_CAR;
		nameSound="car";
		accuracy=0.20;
		cost=40000;
		fuelCapacity=100;

		unloadInCombat = true;
		canFloat=false;

		armor=20; // total armor
		armorStructural=4.0; // very low structural dammage

		driverCanSee = CanSeeEar+CanSeeEye;
		gunnerCanSee = CanSeeEye+CanSeeEar;

		//armorEngine=1.2; // relative to total armor
		class HitEngine {armor=1.2;material=60;name=engine;passThrough=1;}

		dammageHalf[]=
		{
			jeep4x4_glass.paa,jeep4x4_glassB.paa,
			jeep_kab_sklo1.paa,jeep_kab_sklo1B.paa,
			jeep_kab_sklo2.paa,jeep_kab_sklo2B.paa,
			scud_sklo.paa,scud_skloB.paa,
			scud_sklo2.paa,scud_sklo2B.paa,
			scud_sklo3.paa,scud_sklo3B.paa, 
			scud_sklo4.paa,scud_sklo4B.paa
		};
		dammageFull[]=
		{
			jeep4x4_glass.paa,jeep4x4_glassC.paa,
			jeep_kab_sklo1.paa,jeep_kab_sklo1C.paa,
			jeep_kab_sklo2.paa,jeep_kab_sklo2C.paa,
			scud_sklo.paa,scud_skloC.paa,
			scud_sklo2.paa,scud_sklo2C.paa,
			scud_sklo3.paa,scud_sklo3C.paa, 
			scud_sklo4.paa,scud_sklo4C.paa
		};

		armorBody=0.4;
		armorFuel=1.4;
		armorLights=0.4;
		armorWheels=0.05;
		armorGlass=0.5;

		vehicleClass="Car";

		wheelCircumference=2.513;
		turnCoef=2.0;
		terrainCoef=3.0;
		maxSpeed=100;
		
		preferRoads=true;
		unitInfoType=UnitInfoCar;
		hideUnitInfo=true;

		formationX=20;
		formationZ=20;

		precision=10;
		brakeDistance=10; // vehicle movement precision

		steerAheadSimul=0.5; // steer point on path properties
		steerAheadPlan=0.35;

		predictTurnSimul=1.2; // brake before turns
		predictTurnPlan=1.2;
		
		sensitivity=0.6; // sensor sensitivity

		soundEngine[]={Vehicles\mediumcar,db-30,2.0};
		soundEnviron[]={Objects\noise,db-65,0.25};
		soundCrash[]={Vehicles\crash,db-20,1};
		soundGear[]={Vehicles\truck_gear,db-75,1};

		extCameraPosition[]={0,1,-10};

		// internal camera viewing limitations
		class ViewPilot: ViewPilotBase
		{
			initFov=0.7; minFov=0.4; maxFov=1.0;
			initAngleX=15; minAngleX=-15; maxAngleX=+25;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
		};

		simulation=car;

		weapons[]={CarHorn};
		magazines[]={};
		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.5, 0.5, 0.5};

		typicalCargo[]={Soldier};

		audible = 3;

		getInAction = ManActGetInCar;
		getOutAction = ManActGetOutCar;

		damperSize = 0.1; // max. damper amplitude
		damperForce = 30; // damper reaction force (bigger is more visible)

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -240;
			min = 0;
			max = 16.67;
		};
		class IndicatorSpeed2
		{
			selection = "ukaz_rychlo2";
			axis = "osa_rychlo2";
			angle = -240;
			min = 0;
			max = 16.67;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -340;
			min = 0;
			max = 1;
		};

		scudLaunch = "";
		scudStart = "";

		transportMaxMagazines = 50;
		transportMaxWeapons = 10;
	};

	class Motorcycle: LandVehicle
	{
		//--
		simulation="motorcycle";
		displayName=$STR_DN_MOTORCYCLE;
		accuracy=0.20;

		mapSize = 5;

		icon="car";
		nameSound="car";

		isBicycle = false;

		unloadInCombat = true;

		castDriverShadow = true;
		castCargoShadow = true;

		ejectDeadDriver = true;
		ejectDeadCargo = true;

		armor=10; // total armor
		armorStructural=4.0; // very low structural dammage
		cost=500;
		fuelCapacity=50;

		transportSoldier = 0;
		typicalCargo[]={};

		driverCanSee = CanSeeEar+CanSeeEye;
		gunnerCanSee = CanSeeEye+CanSeeEar;

		//armorEngine=1.2; // relative to total armor
		class HitEngine {armor=1.2;material=60;name=engine;passThrough=1;}

		dammageHalf[]=
		{
			jeep_kab_sklo1.paa,jeep_kab_sklo1B.paa
		};
		dammageFull[]=
		{
			jeep_kab_sklo1.paa,jeep_kab_sklo1C.paa
		};

		armorBody=0.4;
		armorFuel=1.4;
		armorLights=0.4;
		armorWheels=0.05;
		armorGlass=0.5;

		vehicleClass="Car";

		wheelCircumference=2.513;
		turnCoef=1.0;
		terrainCoef=3.0;
		maxSpeed=120;
		
		preferRoads=true;
		unitInfoType=UnitInfoCar;
		hideUnitInfo=true;

		formationX=20;
		formationZ=20;

		precision=10;
		brakeDistance=25; // vehicle movement precision

		steerAheadSimul=0.5; // steer point on path properties
		steerAheadPlan=0.35;

		predictTurnSimul=1.2; // brake before turns
		predictTurnPlan=1.2;
		
		sensitivity=0.6; // sensor sensitivity

		soundEngine[]={Vehicles\mediumcar,db-30,2.0};
		soundEnviron[]={Objects\noise,db-65,0.25};
		soundCrash[]={Vehicles\crash,db-20,1};
		soundGear[]={Vehicles\truck_gear,db-75,1};

		extCameraPosition[]={0,1,-10};

		// internal camera viewing limitations
		class ViewPilot: ViewPilotBase
		{
			initFov=0.7; minFov=0.4; maxFov=1.0;
			initAngleX=15; minAngleX=-15; maxAngleX=+25;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
		};

		class Reflectors
		{
			class Right
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "P svetlo";
				direction = "konec P svetla";
				hitpoint = "P svetlo";
				selection = "P svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};

		weapons[]={CarHorn};
		magazines[]={};
		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.5, 0.5, 0.5};

		audible = 3;

		getInAction = ManActGetInCar;
		getOutAction = ManActGetOutCar;

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -240;
			min = 0;
			max = 16.67;
		};
		class IndicatorSpeed2
		{
			selection = "ukaz_rychlo2";
			axis = "osa_rychlo2";
			angle = -240;
			min = 0;
			max = 16.67;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -340;
			min = 0;
			max = 1;
		};

		transportMaxMagazines = 5;
		transportMaxWeapons = 0;
	};


	class Tank: LandVehicle
	{
		//--
		vehicleClass="Armored";

		icon="tank";

		outGunnerMayFire=false;

		displayName=$STR_DN_TANK;
		nameSound="tank";
		accuracy=0.12;

		getInRadius = 3.5;


		fuelCapacity=700;

		irScanRangeMin=500;
		irScanRangeMax=4000;
		irScanToEyeFactor=1;

		armor=400; // overall armor 
		armorStructural=2.0; // structural dammage

		class HitEngine {armor=0.8;material=60;name=engine;passThrough=1;}

		class HitHull {armor=1;material=50;name=hull;passThrough=1;};
		class HitTurret {armor=0.8;material=51;name=turet;passThrough=1;};
		class HitGun {armor=0.6;material=52;name=gun;passThrough=1;};
		class HitLTrack {armor=0.6;material=53;name=pasL;passThrough=1;};
		class HitRTrack {armor=0.6;material=54;name=pasP;passThrough=1;};

		armorHull=1;
		armorTurret=0.8;
		armorGun=0.6; // hitpoints (relative to overall armor)
		armorEngine=0.8;
		armorLights=0.4;
		armorTracks=0.6;
		/*
		armorGun=0.6; // hitpoints (relative to overall armor)
		armorTurret=0.5;
		armorHull=0.5;
		armorEngine=0.4;
		armorLights=0.4;
		armorTracks=0.3;
		*/

		extCameraPosition[]={0,1.5,-9};

		//fov=0.7; minFov=0.42; maxFov=0.85;
		class ViewPilot: ViewPilotBase
		{
			initAngleX=7; minAngleX=-15; maxAngleX=+25;
			initAngleY=0; minAngleY=-90; maxAngleY=+90;
		};

		class ViewOptics : ViewOpticsBase
		{
			initFov=0.3; minFov=0.07; maxFov=0.35;
		};

		cost=1000000;

		steerAheadSimul=0.4; // steer point on path properties
		steerAheadPlan=0.6;
		
		predictTurnSimul=1.2; // brake before turns
		predictTurnPlan=1.8;

		// default tank/bmp... track vehicle definition
		soundEnviron[]={Vehicles\OldRolling_Treads1,db-10,0.7};
		soundEngine[]={Vehicles\OldIdle1,db-10,1};
		soundCrash[]={Vehicles\crash_small2,db-10,1};
		soundGear[]={Vehicles\Gear_Trans1,db-50,1};
		soundDammage[]={Objects\alarm_loop1,db-40,1};

		hasGunner=true;
		hasCommander=true;
		nightVision=true;

		forceHideGunner = true;

		driverAction = ManActCargo;
		gunnerAction = ManActCargo;
		commanderAction = ManActCargo;

		driverInAction = ManActCargo;
		gunnerInAction = ManActCargo;
		commanderInAction = ManActCargo;

		//transportSoldier = 2;

		simulation=tank;

		formationX=20;
		formationZ=30;
		precision=5;
		brakeDistance=15; // vehicle movement precision

		maxSpeed=80;
		
		class TurretBase
		{
			gunAxis = "OsaHlavne";
			turretAxis = "OsaVeze";
			soundServo[]={Vehicles\gun_elevate,db-30,1.0};

			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			
			minElev=-4; maxElev=+20;
			minTurn=-360; maxTurn=+360;

			body = "OtocVez";
			gun = "OtocHlaven";
		};
		class Turret: TurretBase {}

		class ComTurret
		{
			turretAxis = "OsaVelitele";
			gunAxis = "OsaHlavneVelitele";
			soundServo[]={Vehicles\gun_elevate,db-70,1.2};
			
			gunBeg = "usti hlavne"; // currently ignored
			gunEnd = "konec hlavne";
			
			minElev=-4; maxElev=+20;
			minTurn=-360; maxTurn=+360;

			body = "OtocVelitele";
			gun = "OtocHlavenVelitele";
		};
		canFloat=false;
		weapons[]={Gun120,MachineGun12_7};
		magazines[]={Heat120,Shell120,MachineGun12_7};
		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.7, 1, 0.3};
		
		//sensors
		camouflage = 8; // tank are very easy to spot
		audible = 6; 

		hideProxyInCombat = true;

		driverOpticsModel = "optika_tank_driver";
		gunnerOpticsModel = "optika_tank_gunner";
		//commanderOpticsModel = "optika_tankw_auxiliary";
		commanderOpticsModel = "optika_tank_driver";

		driverOpticsColor[] = {0, 0, 0, 1};
		gunnerOpticsColor[] = {0.91, 0.23, 0.23, 1};
		commanderOpticsColor[] = {0.91, 0.23, 0.23, 1};

		class Wheels
		{
			rotR[]=
			{
				kolL1,kolL2,kolL3,kolL4,kolL5,kolL6,kolL7,kolL8
			};
			rotL[]=
			{
				kolP1,kolP2,kolP3,kolP4,kolP5,kolP6,kolP7,kolP8
			};
			upDownL[]=
			{
				koloP1,podkoloP1, koloP2,podkoloP2, koloP3,podkoloP3,
				koloP4,podkoloP4, koloP5,podkoloP5, koloP6,podkoloP6,
				koloP7,podkoloP7, koloP8,podkoloP8
			};
			upDownR[]=
			{
				koloL1,podkoloL1, koloL2,podkoloL2, koloL3,podkoloL3,
				koloL4,podkoloL4, koloL5,podkoloL5, koloL6,podkoloL6,
				koloL7,podkoloL7, koloL8,podkoloL8
			};
		};

		class GunFire : WeaponFireGun
		{
		};
		class GunClouds : WeaponCloudsGun
		{
		};
		class MGunFire : WeaponFireMGun
		{
		};
		class MGunClouds : WeaponCloudsMGun
		{
		};

		class HatchDriver
		{
			selection = "poklop_driver";
			axis = "osa_poklop_driver";
			angle = -100;
		};
		class HatchCommander
		{
			selection = "poklop_commander";
			axis = "osa_poklop_commander";
			angle = -100;
		};
		class HatchGunner
		{
			selection = "poklop_gunner";
			axis = "osa_poklop_gunner";
			angle = -100;
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -240;
			min = 0;
			max = 16.67;
		};
		class IndicatorSpeed2
		{
			selection = "ukaz_rychlo2";
			axis = "osa_rychlo2";
			angle = -240;
			min = 0;
			max = 16.67;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = 340;
			min = 0;
			max = 1;
		};
		class IndicatorRadar
		{
			selection = "ukaz_radar";
			axis = "osa_radar";
			angle = -360;
			min = 0;
			max = 1;
		};
		class IndicatorWatch
		{
			hour = "hodinova";
			minute = "minutova";
			axis = "osa_time";
			reversed = false;
		};
		class IndicatorTurret
		{
			selection = "ukazsmer";
			axis = "osa_ukazsmer";
			angle = 360;
			min = 0;
			max = 6.2831853072;
		};

		class CargoLight
		{
			color[] = {0, 0, 0, 0};
			ambient[] = {0.6, 0, 0.15, 1};
			brightness = 0.007;
		};

		transportMaxMagazines = 50;
		transportMaxWeapons = 10;
	};
	class APC: Tank
	{
		//--
		icon="bmp";

		vehicleClass="Armored";

		displayName=$STR_DN_APC;
		nameSound="apc";
		accuracy=0.12;

		fuelCapacity=700;
		armor=200;
		cost=1000000;
		
		hasGunner=true;
		hasCommander=true;

		// default tank/bmp... track vehicle definition

		soundEnviron[]={Vehicles\OldRolling_Treads1,db-10,0.7};
		soundEngine[]={Vehicles\OldIdle1,db-10,1};
		soundCrash[]={Vehicles\crash_small2,db-10,1};
		soundGear[]={Vehicles\Gear_Trans1,db-40,1};


		simulation=tank;

		maxSpeed=60;
		
		class Turret: TurretBase
		{
			minElev=-4.5;
			maxElev=+20;
		};

		canFloat=false;
		weapons[]={AT3Launcher, MachineGun12_7};
		magazines[]={AT3Launcher, MachineGun12_7};
		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.8, 1, 0.3};
	};

	class Man: Land
	{
		//--
		mapSize = 0.5;
		vehicleClass="Men";

		icon="soldier";
		autocenter = false; // no autocenter - faster animation

		displayName=$STR_DN_MAN;
		nameSound="man";

		extCameraPosition[]={0,0.3,-3.5};
		//nameSound="man";
		accuracy=0.25;
		/*!
		\patch 1.27 Date 10/18/2001 by Ondra
		- Fixed: soldier movement was heard too far by AI.
		*/
		audible=0.05;
		camouflage=1; // how easy to spot -> bigger means better spotable

		sensitivity=1;
		sensitivityEar=0.13;

		formationX=5;
		formationZ=5;
		precision=1;
		brakeDistance=1; // vehicle movement precision

		steerAheadSimul=0.2; // steer point on path properties
		steerAheadPlan=0.2;

		maxSpeed=24;

		irTarget=false; // no ir lock possible
		canHideBodies=false;
		canDeactivateMines=false;

		unitInfoType=UnitInfoSoldier;
		hideUnitInfo=true;

		armor=3;
		armorStructural=2.0; // structural dammage
		armorHead=0.7;
		armorBody=0.8;
		armorHands=0.5;
		armorLegs=0.5;

		cost=100000;
		simulation=soldier;

		#include "wounds.hpp"		
		
		minGunElev=-60;maxGunElev=+60; // + up
		/*!
		\patch 1.43 Date 01/22/2002 by Viktor
		- Changed: Soldiers can aim more down from now
		*/

		minGunTurn=-5;maxGunTurn=+5; // + left - player
		//minGunTurn=-30;maxGunTurn=+30; // + left - player
		minGunTurnAI=-30;maxGunTurnAI=+30; // + left - AI

		fov=0.85; minFov=0.42; maxFov=0.85;
		class ViewPilot: ViewPilotBase
		{
			initAngleX=8; minAngleX=-40; maxAngleX=+45;
			initAngleY=0; minAngleY=-125; maxAngleY=+125;
		};
		microMimics = Micro; // see CfgMimics/Micro

		minHeadTurnAI = -70;
		maxHeadTurnAI = +70;
		
		weaponSlots = WeaponSlotPrimary + 4 * WeaponSlotItem + WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;
		weapons[]={RiffleGrenadeLauncher};
		magazines[]={Riffle,Riffle,Riffle,Riffle,GrenadeLauncher};
		model=vojakw;
		//picture=ivojak;
		picture=;

		// say something when hit
		
		
		hitSound1[]={voices\Hit11,db-25,1};
		hitSound2[]={voices\Hit12,db-25,1};
		hitSound3[]={voices\Hit13,db-25,1};
		hitSound4[]={voices\Hit14,db-25,1};
		hitSound5[]={voices\Hit15,db-25,1};
		hitSound6[]={voices\Hit16,db-25,1};
		hitSound7[]={voices\Hit17,db-25,1};
		hitSound8[]={voices\Hit18,db-25,1};
		hitSound9[]={voices\Hit19,db-25,1};
		hitSound10[]={voices\Hit20,db-25,1};
		hitSound11[]={voices\Hit21,db-25,1};
		hitSound12[]={voices\Hit22,db-25,1};
		hitSound13[]={voices\Hit23,db-25,1};
		hitSound14[]={voices\Hit24,db-25,1};
		hitSound15[]={voices\Hit25,db-25,1};
		hitSound16[]={voices\Hit26,db-25,1};
		hitSound17[]={voices\Hit27,db-25,1};
		hitSound18[]={voices\Hit28,db-25,1};
		hitSound19[]={voices\Hit29,db-25,1};
		hitSound20[]={voices\Hit30,db-25,1};
		
		
		
		hitSounds[]=
		{
			hitSound1,0.05,
			hitSound2,0.05,
			hitSound3,0.05,
			hitSound4,0.05,
			hitSound5,0.05,
			hitSound6,0.05,
			hitSound7,0.05,
			hitSound8,0.05,
			hitSound9,0.05,
			hitSound10,0.05,
			hitSound11,0.05,
			hitSound12,0.05,
			hitSound13,0.05,
			hitSound14,0.05,
			hitSound15,0.05,
			hitSound16,0.05,
			hitSound17,0.05,
			hitSound18,0.05,
			hitSound19,0.05,
			hitSound20,0.05
		};

		moves=NoDefaultMoves;
		
		soundEnviron[]={People\dirt_L,db-70,1};
		class SoundEnvironExt
		{
			normalExt[] = {{"People\dirt_L",db-110,1},{"People\dirt_R",db-110,1},{"People\grass_L",db-115,1},{"People\grass_R",db-115,1},{"People\grass_L",db-115,1},{"People\grass_R",db-115,1},};
			normal[] = {{"People\dirt_L",db-110,1},{"People\dirt_R",db-110,1}};
			road[] = {{"People\concrete_L",db-95,1},{"People\concrete_R",db-95,1},{"People\concrete_L",db-95,1},{"People\concrete_R",db-95,1},{"People\gravel_L",db-95,1},{"People\gravel_R",db-95,1},{"People\concrete_L",db-95,1},{"People\concrete_R",db-95,1}};
			rock[] = {{"People\concrete_L",db-95,1},{"People\concrete_R",db-95,1},{"People\gravel_L",db-95,1},{"People\gravel_R",db-95,1},{"People\sand_L",db-110,1},{"People\sand_R",db-110,1},{"People\gravel_L",db-95,1},{"People\gravel_R",db-95,1},{"People\concrete_L",db-95,1},{"People\concrete_R",db-95,1}};
			water[] = {{"People\water_L",db-90,1},{"People\water_R",db-90,1}};
			gravel[] = {{"People\gravel_L",db-95,1},{"People\gravel_R",db-95,1}};
			sand[] = {{"People\sand_L",db-110,1},{"People\sand_R",db-110,1},{"People\sand_L",db-110,1},{"People\sand_R",db-110,1},{"People\gravel_L",db-95,1},{"People\gravel_R",db-95,1}};
			drygrass[] = {{"People\drygrass_L",db-110,1},{"People\drygrass_R",db-110,1},{"People\grass_L",db-115,1},{"People\grass_R",db-115,1},{"People\forest_L",db-110,1},{"People\forest_R",db-110,1}};
			// lnggrass[] = {{"People\lnggrass_L",db-120,1},{"People\lnggrass_R",db-120,1}};
			grass[] = {{"People\grass_L",db-115,1},{"People\grass_R",db-115,1},{"People\drygrass_L",db-110,1},{"People\drygrass_R",db-110,1}};
			forest[] = {{"People\forest_L",db-110,1},{"People\forest_R",db-110,1},{"People\grass_L",db-115,1},{"People\grass_R",db-115,1},{"People\dirt_L",db-110,1},{"People\dirt_R",db-110,1},{"People\mud_L",db-110,1},{"People\mud_R",db-110,1}};
			mud[] = {{"People\mud_L",db-110,1},{"People\mud_R",db-110,1},{"People\mud_L",db-110,1},{"People\mud_R",db-110,1},{"People\water_L",db-90,1},{"People\water_R",db-90,1}};
			wood[] = {{"People\wood_L",db-110,1},{"People\wood_R",db-110,1}};
			metal[] = {{"People\metal_L",db-110,1},{"People\metal_R",db-110,1}};
			snow[] = {{"People\snow_L",db-90,1},{"People\snow_R",db-90,1}};
			hallway[] = {{"People\hall_L",db-90,1},{"People\hall_R",db-90,1}}; 

			fallbody[]={{"People\fall_to_ground",db-60,1}};
			laydown[]={{"People\down",db-100,1}};
			standup[]={{"People\up",db-110,1}};
			crawl[]={{"People\crawl",db-115,1}};
		};
		soundEngine[]={People\breath,db-95,1};
		additionalSound[]={Objects\noise,db-160,1};
		//additionalSound[]={Vehicles\mediumcar,db-40,1};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.8, 0.2};

		class Reflectors
		{
			/*
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.2;
				brightness = 0.001;
			};
			*/
		};

		class MGunClouds : WeaponCloudsMGun
		{
		};
		class GunClouds : WeaponCloudsGun
		{
			cloudletGrowUp = 0.2;			// grow-up time
			cloudletFadeIn = 0;		// fade-in time
			cloudletFadeOut = 0.4;		// fade-out time
			cloudletDuration = 0.2;		// time to live (not including fades)

			cloudletAlpha = 1;

			cloudletAccY = 2;					// vertical acceleration
			cloudletMinYSpeed = -10;	// vertical speed range
			cloudletMaxYSpeed = 10;

			interval = 0.02;
			size = 0.3;
			sourceSize = 0.015;
		};
	};

	// define weapons that all soldiers have by default
	//#define DefaultManWeapons Throw,Put,StrokeFist
	#define DefaultManWeapons Throw,Put

	class Civilian: Man
	{
		//--
		vehicleClass="Men";
		scope=public;
		displayName=$STR_DN_MAN;
		nameSound="man";
		model="MC civil";
		// picture=icivil;
		moves=CfgMovesMC;
		accuracy=0.40;

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};

		camouflage=1.2;

		cost=100000;
		side=TCivilian;
		weapons[]={DefaultManWeapons};	
		magazines[]={};	
	};
	class Civilian2: Civilian
	{
		//--
		displayName=$STR_DN_MAN2;
		model="MC civil2";
	};
	class Civilian3: Civilian
	{
		//--
		displayName=$STR_DN_MAN3;
		model="MC civil3";
	};
	class Soldier: Man
	{
		//--
		vehicleClass="";
		displayName=$STR_DN_SOLDIER;
		nameSound="soldier";

		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 10*WeaponSlotItem + 2*WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;

		accuracy=0.60; //changed

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.05, 0.05};
	};
	class SoldierLAW : Soldier // used as typical cargo only
	{
		//--
		vehicleClass="";
		displayName=$STR_DN_LAW_SOLDIER;
		accuracy=1.4;
		weapons[]={Riffle, LAWLauncher};
		magazines[]={Riffle, Riffle, Riffle, Riffle, LAWLauncher, LAWLauncher};
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.9, 0.1};
	};

	/*!
	\patch 1.52 Date 4/21/2002 by Ondra
	- Fixed: AI perceived volume of helicopters and planes was too low.
	*/
	
	class Air: AllVehicles
	{
		//-- air vehicle
		icon="helicopter";

		displayName=$STR_DN_HELICOPTER; // assume heli until sure it's plane
		nameSound="target";
		accuracy=0.005;

		formationX=50;
		formationZ=100;
		precision=100;
		brakeDistance=200; // vehicle movement precision
		formationTime=10;

		armor=20;
		cost=10000000;
		fuelCapacity=1000;

		maxSpeed=400;

		insideSoundCoef = 0.05;

		weapons[]={MachineGun12_7};
		magazines[]={MachineGun12_7};

		type=VAir;
		irScanRangeMin = 2000;
		irScanRangeMax = 10000;
		irScanToEyeFactor = 2;
		nightVision=true;
		audible = 10; // planes are very loud

		unitInfoType=UnitInfoAirplane;

		//threat[] VSoft, VArmor, VAir 
		threat[]={0.3, 1, 0.7};

		driverAction = ManActCargo;
		gunnerAction = ManActCargo;
		commanderAction = ManActCargo;

		gunnerCanSee = CanSeeAll;
		driverCanSee = CanSeeAll;
	
		typicalCargo[]={Soldier};

		class GunFire : WeaponFireGun
		{
		};
		class GunClouds : WeaponCloudsGun
		{
		};
		class MGunFire : WeaponFireMGun
		{
		};
		class MGunClouds : WeaponCloudsMGun
		{
		};

		transportMaxMagazines = 20;
		transportMaxWeapons = 3;
	};
	class Helicopter: Air
	{
		//-- helicopter
		vehicleClass="Air";

		displayName=$STR_DN_HELICOPTER;
		nameSound="chopper";
		accuracy=0.08;

		soundEngine[]={Vehicles\helicopter,db+10,1};
		soundEnviron[]={Objects\noise,db-20,1.0};
		soundDammage[]={Objects\alarm_loop1,db-40,1};

		simulation=helicopter;

		class ViewPilot: ViewPilotBase
		{
			initFov=0.7; minFov=0.4; maxFov=1.0;
			initAngleX=0; minAngleX=-15; maxAngleX=+25;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
		};

		mainRotorSpeed = 1.0; // rotor animation parameters
		backRotorSpeed = 1.5; 

		maxMainRotorDive = 0; // rotor diving capability
		maxBackRotorDive = 0;
		minMainRotorDive = 0; // rotor diving capability
		minBackRotorDive = 0;
		neutralBackRotorDive = 0;
		neutralMainRotorDive = 0;

		armorStructural=2.0; // structural dammage
		armorHull=0.5;
		armorEngine=0.6;
		armorAvionics=1.4;
		armorVRotor=0.5;
		armorHRotor=0.7;
		armorMissiles=1.6;
		armorGlass=0.5;

		maxSpeed=300;
		enableSweep=true;

		unitInfoType=UnitInfoHelicopter;

		minFireTime=20; // minimal time spent firing on single target

		steerAheadSimul=0.5;
		steerAheadPlan=0.7;

		class TurretBase
		{
			gunAxis = "OsaHlavne";
			turretAxis = "OsaVeze";

			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			soundServo[]={};			
			
			minElev=-20; maxElev=+20;
			minTurn=-45; maxTurn=+45;

			body = "OtocVez";
			gun = "OtocHlaven";
		};
		class Turret: TurretBase {}

		class ViewOptics : ViewOpticsBase
		{
			initAngleX=0; minAngleX=-40; maxAngleX=17;
			initAngleY=0; minAngleY=-100; maxAngleY=100;
			initFov=0.5; minFov=0.3; maxFov=1.2;
		};

		hasGunner=true;
		driverIsCommander=true;

		gunnerOpticsModel = "optika_heli_gunner";
		
		weapons[]={MachineGun12_7, HellfireLauncher};
		magazines[]={MachineGun12_7, HellfireLauncher};

		dammageHalf[]=
		{
			jeep_kab_sklo1.paa,jeep_kab_sklo1B.paa,
			uh60_kab_sklo2.paa,uh60_kab_sklo2B.paa,
			uh30_cargo_pilotdoors.paa,uh30_cargo_pilotdoorsB.paa,
			uh60_cargo_dvereokno.paa,uh60_cargo_dvereoknoB.paa,
			uh60_gunner_okna.paa,uh60_gunner_oknaB.paa,
			ah-1_kabina_predokno.paa,ah-1_kabina_predoknoB.paa,
			ah-1_kabina_zadokno.paa,ah-1_kabina_zadoknoB.paa,
			ah-1_kabina_topokno.paa,ah-1_kabina_topoknoB.paa
		};
		dammageFull[]=
		{
			jeep_kab_sklo1.paa,jeep_kab_sklo1C.paa,
			uh60_kab_sklo2.paa,uh60_kab_sklo2C.paa,
			uh30_cargo_pilotdoors.paa,uh30_cargo_pilotdoorsC.paa,
			uh60_cargo_dvereokno.paa,uh60_cargo_dvereoknoC.paa,
			uh60_gunner_okna.paa,uh60_gunner_oknaC.paa,
			ah-1_kabina_predokno.paa,ah-1_kabina_predoknoC.paa,
			ah-1_kabina_zadokno.paa,ah-1_kabina_zadoknoC.paa,
			ah-1_kabina_topokno.paa,ah-1_kabina_topoknoC.paa
		};

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 1.0;
			};
		};
		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt";
			axis = "osa_nm_alt";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -320;
			min = 0;
			max = 125;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM
		{
			selection = "rpm";
			axis = "osa_rpm";
			angle = -320;
			min = 0;
			max = 12;
		};
		class IndicatorCompass
		{
			selection = "kompas";
			axis = "osa_kompas";
			angle = -360;
			min = -3.1415926536;
			max = 3.1415926536;
		};
		class IndicatorWatch
		{
			hour = "hodinova";
			minute = "minutova";
			axis = "osa_time";
			reversed = true;
		};
		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro2
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt2";
			axis = "osa_nm_alt2";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed2
		{
			selection = "mph2";
			axis = "osa_mph2";
			angle = -320;
			min = 0;
			max = 125;
		};
		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM2
		{
			selection = "rpm2";
			axis = "osa_rpm2";
			angle = -320;
			min = 0;
			max = 12;
		};
		class IndicatorCompass2
		{
			selection = "kompas2";
			axis = "osa_kompas2";
			angle = -360;
			min = -3.1415926536;
			max = 3.1415926536;
		};
		class IndicatorWatch2
		{
			hour = "hodinova2";
			minute = "minutova2";
			axis = "osa_time2";
			reversed = true;
		};
	};
	class Plane: Air
	{
		//-- airplane
		vehicleClass="Air";

		icon="a10";

		displayName=$STR_DN_PLANE;
		nameSound="plane";
		accuracy=0.10;

		maxSpeed=450;

		formationX=200;
		formationZ=300;
		precision=200;
		brakeDistance=500; // vehicle movement precision
		steerAheadSimul=1.0;
		steerAheadPlan=2.0;

		unitInfoType=UnitInfoAirplane;
		gearRetracting = true;
		ejectSpeed[]={0,40,0};

		minFireTime=60; // minimal time spent firing on single target

		cost=2000000;
		soundEngine[]={Vehicles\01F5,db+0,0.5};
		soundEnviron[]={Objects\noise,db-10,1.0};
		soundServo[]={Vehicles\gun_elevate,db-20,0.4};
		soundDammage[]={Objects\alarm_loop1,db-40,1};
		simulation=airplane;		

		minGunElev=-0; // default - fixed gun
		maxGunElev=+0;
		minGunTurn=-0;
		maxGunTurn=+0;

		weapons[]={MachineGun12_7, MaverickLauncher};
		magazines[]={MachineGun12_7, MaverickLauncher};

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.1, 1, 0.5};

		aileronSensitivity = 1; // relative aileron sensitivity
		elevatorSensitivity = 1; // relative elevator sensitivity
		noseDownCoef = 1; // how much goes nose down during turns
		landingAoa = 10*3.1415/180;

		// internal camera viewing limitations
		class ViewPilot: ViewPilotBase
		{
			initFov=0.7; minFov=0.4; maxFov=0.85;
			initAngleX=8; minAngleX=-15; maxAngleX=+25;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
		};
		class ViewOptics : ViewOpticsBase
		{
			initAngleX=0; minAngleX=0; maxAngleX=0;
			initAngleY=0; minAngleY=0; maxAngleY=0;
			initFov=0.5; minFov=0.5; maxFov=0.5;
		};

		extCameraPosition[]={0,5,-30};

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 1.0;
			};
		};

		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt";
			axis = "osa_nm_alt";
			angle = 0;
			min = 0;
			max = 0;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 300;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -360;
			min = -45;
			max = 45;
		};
		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -360;
			min = -45;
			max = 45;
		};
		class IndicatorRPM
		{
			selection = "rpm";
			axis = "osa_rpm";
			angle = -320;
			min = 0;
			max = 1;
		};
		class IndicatorCompass
		{
			selection = "kompas";
			axis = "osa_kompas";
			angle = 360;
			min = -3.1415926536;
			max = 3.1415926536;
		};
		class IndicatorCompass2
		{
			selection = "kompas2";
			axis = "osa_kompas2";
			angle = 360;
			min = -3.1415926536;
			max = 3.1415926536;
		};
		class IndicatorWatch
		{
			hour = "hodinova";
			minute = "minutova";
			axis = "osa_time";
			reversed = true;
		};
		class IndicatorWatch2
		{
			hour = "hodinova2";
			minute = "minutova2";
			axis = "osa_time2";
			reversed = true;
		};
	};
	class Ship: AllVehicles
	{
		//--
		unitInfoType=UnitInfoShip;

		icon="ship";
		
		cost=10000000;
		armor=1000;
		displayName=$STR_DN_SHIP;
		nameSound="ship";
		accuracy=0.005;

		maxSpeed=30;

		simulation=ship;

		audible=6;

		formationX=50;
		formationZ=100;
		precision=25;
		brakeDistance=50; // vehicle movement precision
		formationTime=20;

		steerAheadSimul=2.0; // steer point on path properties
		steerAheadPlan=2.4;

		predictTurnSimul=2.0; // brake before turns
		predictTurnPlan=2.4;

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.2, 0.2, 0.1};

		getInRadius = 10;

		driverAction = ManActShipDriver;
		gunnerAction = ManActShipDriver;
		commanderAction = ManActShipDriver;
		cargoAction[] = {ManActShipCargo};

		getInAction = ManActGetOutCar;	// no animation
		getOutAction = ManActGetOutCar;	// no animation

		class TurretBase
		{
			gunAxis = "osa hlavne";
			turretAxis = "osa veze";

			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			
			soundServo[]={Vehicles\gun_elevate,db-60,1.0};
			
			minElev=-5; maxElev=+40;
			minTurn=-135; maxTurn=+135;

			body = "OtocVez";
			gun = "OtocHlaven";
		};
		class Turret: TurretBase {}

		class ViewPilot: ViewPilotBase
		{
			initFov=1.0; minFov=0.42; maxFov=1.2;
			initAngleX=6; minAngleX=-8; maxAngleX=+10;
			initAngleY=0; minAngleY=-100; maxAngleY=+100;
		};
		class ViewOptics : ViewOpticsBase
		{
			initFov=0.7; minFov=0.07; maxFov=0.35;
		};

		class GunFire : WeaponFireGun
		{
		};
		class GunClouds : WeaponCloudsGun
		{
		};
		class MGunFire : WeaponFireMGun
		{
		};
		class MGunClouds : WeaponCloudsMGun
		{
		};
	};

	class SmallShip: Ship
	{
		//--
		cost=50000;
		armor=300;
		displayName=$STR_DN_SMALL_SHIP;
		accuracy=0.20;
		soundEngine[]={Vehicles\GuardShip,db-55,1};
		
		/*
		class TurretBase: Turret {};
		class Turret
		{
			minElev=-4.5;
			maxElev=+20;
		};
		*/

		fuelCapacity=700;

		weapons[]={Browning};
		magazines[]={Browning};

		maxSpeed = 60;

		steerAheadSimul=2; // steer point on path properties
		steerAheadPlan=2;

		predictTurnSimul=3; // brake before turns
		predictTurnPlan=3;

		precision=50;
		brakeDistance=50; // vehicle movement precision

		hasGunner=true;
		hasCommander=false;
		driverIsCommander=true;

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};

		transportMaxMagazines = 100;
		transportMaxWeapons = 20;
	};

	class BigShip: Ship
	{
		//--
		cost=10000000;
		displayName=$STR_DN_BIG_SHIP;
		accuracy=0.20;
		armor=1000;

		soundEngine[]={Vehicles\BigShip,db-55,1};

		weapons[]= {Gun120, MachineGun12_7};
		magazines[]=
		{
			Gun120, Gun120, Gun120, Gun120,
			MachineGun12_7, MachineGun12_7
		};

		transportMaxMagazines = 500;
		transportMaxWeapons = 200;
	};

	
	//WEST	
	class Jeep: Car
	{
		//--
		scope=public;
		crew = SoldierWB;
		picture=ijeepMUTT;

		maxSpeed=100;

		side=TWest;
		displayName=$STR_DN_JEEP;
		nameSound="jeep";
		accuracy=0.50;

		armor=20;
		cost=30000;
		fuelCapacity=50;

		transportSoldier = 3;
		transportAmmo = 0;

		model=jeep;

		armorWheels=0.12;

		driverAction = ManActJeepDriver;

		cargoAction[] =
		{
			ManActJeepCoDriver,ManActJeepCoDriverBack
		};
		cargoIsCoDriver[] = {true,false};

		soundEngine[]={Vehicles\jeepmove,db-15,1};

		typicalCargo[]={Soldier, SoldierLAW};

		dammageHalf[]=
		{
			jepp4x4_glass.paa,jepp4x4_glassB.paa,
			jepp_kab_sklo1.paa,jepp_kab_sklo1B.paa,
			jepp_kab_sklo2.paa,jepp_kab_sklo2B.paa,
			scud_sklo.paa,scud_skloB.paa,
			scud_sklo2.paa,scud_sklo2B.paa,
			scud_sklo3.paa,scud_sklo3B.paa, 
			scud_sklo4.paa,scud_sklo4B.paa
		};
		dammageFull[]=
		{
			jepp4x4_glass.paa,jepp4x4_glassC.paa,
			jepp_kab_sklo1.paa,jepp_kab_sklo1C.paa,
			jepp_kab_sklo2.paa,jepp_kab_sklo2C.paa,
			scud_sklo.paa,scud_skloC.paa,
			scud_sklo2.paa,scud_sklo2C.paa,
			scud_sklo3.paa,scud_sklo3C.paa, 
			scud_sklo4.paa,scud_sklo4C.paa
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -240;
			min = 0;
			max = 40;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -240;
			min = 0;
			max = 1;
		};
	};

	/*!
	\patch 1.54 Date 5/4/2002 by Ondra
	- Fixed: Jeep with machine gun shows ammo count.
	*/
	
	
	class JeepMG: Jeep
	{
		//--
		displayName= $STR_DN_JEEP_MG;
		model=Jeep_mg.p3d;
		picture=ijeepmg.paa;
		gunnerAction=ManActJeepGunner;
		hasGunner=true;
		castGunnerShadow=true;
		ejectDeadGunner=true;
		castDriverShadow=true;
		driverIsCommander=true;
		scope=public;
		//canFloat=true;
		
		weapons[]={Browning};
		magazines[]={Browning};

		gunnerOpticsModel = "optika_empty";
		unitInfoType=UnitInfoSoldier;

		transportSoldier = 1;

		class Turret
		{
			gunAxis = "OsaHlavne";
			turretAxis = "OsaVeze";
			soundServo[]={};

			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			
			minElev=-5; maxElev=+40;
			minTurn=-360; maxTurn=+360;

			body = "OtocVez";
			gun = "OtocHlaven";
		};
		class ViewGunner
		{
			initAngleX=5; minAngleX=-30; maxAngleX=+30;
			initAngleY=0; minAngleY=0; maxAngleY=0;
			initFov=0.7; minFov=0.42; maxFov=0.85;
		};		
		class MGunClouds : WeaponCloudsMGun
		{
		};
	};

	class SkodaHelper: Car
	{
		scope=private;
		picture=iskoda;

		maxSpeed=125;

		side=TCivilian;
		nameSound="car";
		displayName=$STR_DN_SKODA;
		accuracy=0.50;

		armor=20;
		cost=2000;
		fuelCapacity=50;

		transportSoldier = 3;
		transportAmmo = 0;

		terrainCoef=10.0;

		soundEngine[]={Vehicles\car,db-35,1.8};

		weapons[]={SportCarHorn};
		magazines[]={};

		driverAction = ManActSkodaDriver;

		cargoAction[] =
		{
			ManActSkodaCoDriver,ManActSkodaCoDriverBack
		};
		cargoIsCoDriver[] = {true,false};

		typicalCargo[]={};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = +254;
			min = 0;
			max = 180 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -255;
			min = 0;
			max = 1;
		};
	};

	class SkodaBase: SkodaHelper
	{
		accuracy=1000;
	};


/*!
	\patch 1.01 Date 06/11/2001 by Jirka
	- Fixed: bad speed indicator direction for Sport Car
	\patch_internal 1.01 Date 06/11/2001 by Jirka
	- added classes IndicatorSpeed and IndicatorRPM
*/
	class Rapid: SkodaBase
	{
		//--
		vehicleClass="Car";

		scope=public;
		picture=iskoda;

		maxSpeed=200;

		displayName=$STR_DN_ASTON;
		nameSound="car";
		accuracy=0.50;

		armor=10;
		cost=90000;
		fuelCapacity=50;

		transportSoldier = 1;

		model=rapid;

		soundEngine[]={Vehicles\car,db-30,1.5};

		weapons[]={SportCarHorn};
		magazines[]={};

		typicalCargo[]={};

		dammageHalf[]=
		{
			jeep4x4_glass.paa,jeep4x4_glassB.paa,
			jeep_kab_sklo1.paa,jeep_kab_sklo1B.paa,
			jeep_kab_sklo2.paa,jeep_kab_sklo2B.paa,
			scud_sklo.paa,scud_skloB.paa,
			scud_sklo2.paa,scud_sklo2B.paa,
			scud_sklo3.paa,scud_sklo3B.paa, 
			scud_sklo4.paa,scud_sklo4B.paa,
			rapid_skloP.paa, rapid_skloPB.paa
		};
		dammageFull[]=
		{
			jeep4x4_glass.paa,jeep4x4_glassC.paa,
			jeep_kab_sklo1.paa,jeep_kab_sklo1C.paa,
			jeep_kab_sklo2.paa,jeep_kab_sklo2C.paa,
			scud_sklo2.paa,scud_sklo2C.paa,
			scud_sklo3.paa,scud_sklo3C.paa, 
			scud_sklo4.paa,scud_sklo4C.paa,
			rapid_skloP.paa, rapid_skloPC.paa
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -260;
			min = 0;
			max = 180 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -240;
			min = 0;
			max = 1;
		};
	};
	class RapidY: Rapid
	{
		//--
		vehicleClass="Car";

		scope=public;
		model=rapid_y;
	};
	
	

	class Skoda: SkodaBase
	{
		//--
		scope=public;
		model=skodovka;
		displayName=$STR_DN_SKODA_YELLOW;
	};

	class SkodaBlue: SkodaBase
	{
		//--
		scope=public;
		model = skodovka_blue;
		displayName=$STR_DN_SKODA_BLUE;
	};
	class SkodaRed: SkodaBase
	{
		//--
		scope=public;
		model = skodovka_red;
		displayName=$STR_DN_SKODA_RED;
	};
	class SkodaGreen: SkodaBase
	{
		//--
		scope=public;
		model = skodovka_green;
		displayName=$STR_DN_SKODA_GREEN;
	};


	class Tractor : Car
	{
		//--
		scope=public;
		picture=itruck5t;
		icon=truck;

		side=TCivilian;
		displayName=$STR_DN_TRACTOR;
		nameSound="tractor";
		accuracy=0.30;

		fuelCapacity=50;
		transportSoldier = 0;
		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;

		weapons[]={};
		magazines[]={};

		wheelCircumference=8;
		turnCoef=9.0;

		maxSpeed=30;

		cost=10000;
		armor=30;
		model=traktor;

		soundEngine[]={Vehicles\TractorRun,db-30,0.5};

		typicalCargo[]={};

		driverAction = ManActTractorDriver;
		getInAction = ManActGetInTank;
		getOutAction = ManActGetOutTank;
	};


	class Truck: Car
	{
		//--
		nameSound="truck";

		formationX=20;
		formationZ=30;

		getInAction = ManActGetInTank;
		getOutAction = ManActGetOutTank;

		armorWheels=0.3;
		damperSize = 0.2;

		// internal camera viewing limitations
		fov=1.0; minFov=0.6; maxFov=1.4;

		transportMaxMagazines = 200;
		transportMaxWeapons = 50;
	};

	//Western trucks
	class Truck5t : Truck
	{
		//-- 5 ton truck
		scope=public;
		crew = SoldierWB;
		picture=itruck5t;
		icon=truck;

		model=truck5t;
		hiddenSelections[] = {ammo};

		side=TWest;
		displayName=$STR_DN_5T_TRUCK;
	
		accuracy=0.30;

		fuelCapacity=200;
		transportSoldier = 12;

		DefaultWestMagazines(1)

		driverAction = ManActTruck5tDriver;

		cargoAction[] =
		{
			ManActTruck5tCoDriver,ManActTruck5tCoDriver,
			ManActCargo
		};
		cargoIsCoDriver[] = {true,true,false};

		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;

		camouflage=4; // no camouflage color  - easy to spot

		weapons[]={TruckHorn};
		magazines[]={};

		wheelCircumference=4.513;
		turnCoef=6.0;

		maxSpeed=80;

		cost=70000;
		armor=20;

		initCargoAngleY=+185; // cargo viewing limitations

		soundEngine[]={Vehicles\dieseltruckloop2,db-20,1};

		typicalCargo[]={Soldier, Soldier, SoldierLAW, SoldierLAW};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -210;
			min = 0;
			max = 100 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -220;
			min = 0;
			max = 1;
		};
	};

	class Truck5tOpen : Truck5t
	{
		//--
		scope=public;
		model=truck5t2;
		hiddenSelections[] = {};
		displayName=$STR_DN_5T_TRUCK_OPEN;
		accuracy=1000; // never recognized
	};

	class Truck5tRich : Truck5t
	{
		scope=protected;
		displayName="RichTruck";
		accuracy=1000; // never recognized
		cost=1000000;
	};

	class Truck5tRepair : Truck5t
	{
		//--
		vehicleClass="Support";
		picture=itruck5trepair;
		icon="Repair_move";

		scope=public;
		displayName=$STR_DN_REPAIT_TRUCK;
		accuracy=0.90;

		transportSoldier = 2;
		transportRepair = 200000000;

		model=truck5trepair;
		hiddenSelections[] = {};
		weapons[]={};
		magazines[]={};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};

		typicalCargo[]={};

		transportMaxMagazines = 50;
		transportMaxWeapons = 10;
	};
	class Truck5tReammo : Truck5t
	{
		//--
		vehicleClass="Support";

		icon="Ammo_move";

		scope=public;
		displayName=$STR_DN_REAMMO_TRUCK;
		accuracy=0.90;

		transportSoldier = 2;

		DefaultWestMagazines(1)

		transportAmmo = 300000;

		model=Truck5t;
		hiddenSelections[] = {};
		weapons[]={};
		magazines[]={};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};
		typicalCargo[]={};
	};
	class Truck5tRefuel : Truck5t
	{
		//--
		vehicleClass="Support";

		picture=iTruck5tfuel;
		icon="Fuel_move";

		scope=public;
		displayName=$STR_DN_REFUEL_TRUCK;
		nameSound="truck";
		accuracy=0.80;

		transportFuel = 3000;
		transportSoldier = 2;
		transportAmmo = 0;
		
		model=Truck5tfuel;
		hiddenSelections[] = {};
		weapons[]={};
		magazines[]={};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};
		typicalCargo[]={};
		transportMaxMagazines = 20;
		transportMaxWeapons = 5;
	};
	//Western soldiers	
	class SoldierWB : Soldier
	{
		//-- basic western soldier
		model="MC vojakW2";
		hiddenSelections[] = {"medic"};
		moves=CfgMovesMC;
		//picture=ivojak;
		vehicleClass="Men";
		scope=public;
		side=TWest;
		accuracy=0.7;
		displayName=$STR_DN_SOLDIER;
		weapons[]={M16, DefaultManWeapons};
		magazines[]=
		{
			M16, M16, M16, M16,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade
		};
		cost=40000;
	};

	class SoldierWG: SoldierWB
	{
		//-- western soldier with grenade launcher
		//picture=igrenadier;
		vehicleClass="Men";
		scope=public;
		cost=60000;
		displayName=$STR_DN_GRENADIER;
		accuracy=1000; // never recognized
		weapons[]={M16GrenadeLauncher, DefaultManWeapons};
		magazines[]={M16, M16, M16, M16, GrenadeLauncher, GrenadeLauncher, GrenadeLauncher};
	};
	class SoldierWMedic: SoldierWB
	{
		//--
		//model=vojakw_medic;
		accuracy=1000; // never recognized
		// picture=imedic;
		picture=\misc\medik.paa;
		vehicleClass="Men";
		scope=public;
		cost=60000;
		displayName=$STR_DN_MEDIC;
		weaponSlots = WeaponSlotPrimary + 4 * WeaponSlotItem + WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;
		attendant = true;
		weapons[]={M16, DefaultManWeapons};
		magazines[]={M16, M16, M16, M16};
		nameSound="medic";
		hiddenSelections[] = {};
	};

	class SoldierWNOG: SoldierWB {scope=protected;};
	class SoldierW: SoldierWG {scope=protected;};
	class SoldierWCrew: SoldierWB
	{
		//--
		// picture=icrew;
		model="MC tankistaW2";
		nameSound="crew";
		accuracy=1000; // never recognize
		displayName=$STR_DN_CREW;
		weapons[]={M4, NVGoggles, DefaultManWeapons};
		magazines[]=
		{
			M4, M4, M4, M4,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade
		};
	};
	class SoldierWPilot: SoldierWB
	{
		//--
		// picture=ipilot;
		model="MC pilotW2";
		nameSound="pilot";
		displayName=$STR_DN_PILOT;
		weapons[]={M4, NVGoggles, DefaultManWeapons};
		magazines[]=
		{
			M4, M4, M4, M4,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade
		};
	};

	class SoldierWMG: SoldierWB
	{
		//-- western soldier with machine gun
		// picture=ismg;
		nameSound="machineGunner";
		//model=mgw;
		displayName=$STR_DN_MGUNNER;
		cost=60000;
		accuracy=1.5;
		weapons[]={M60, DefaultManWeapons};	
		magazines[]=
		{
			M60, M60, M60, M60, M60
		};	
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.1, 0.8};
	};
	class SoldierWLAW: SoldierWB
	{
		//-- western soldier with LAW launcher
		// picture=islaw;
		vehicleClass="Men";
		scope=public;
		nameSound="missileSoldier";
		//model=vojakw;
		nightVision=true;
		displayName=$STR_DN_LAW_SOLDIER;
		cost=150000;
		side=TWest;
		accuracy=1.5;
		weapons[]={M16, LAWLauncher, DefaultManWeapons};
		magazines[]={M16, M16, M16, M16, LAWLauncher, LAWLauncher, LAWLauncher};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.9, 0.1};
	};
	class SoldierWAT: SoldierWLAW
	{
		//-- western soldier with guided AT missile
		// picture=isat;
		displayName=$STR_DN_CG_SOLDIER;
		nameSound="missileSoldier";
		accuracy=1.5;
		weapons[]={M16, CarlGustavLauncher, DefaultManWeapons};
		magazines[]={M16, M16, M16, M16, CarlGustavLauncher};

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.9, 0.1};
	};
	class SoldierWAA: SoldierWLAW
	{
		//-- western soldier with AA missile
		// picture=isaa;
		displayName=$STR_DN_AA_SOLDIER;
		nameSound="missileSoldier";
		accuracy=1.5;
		weapons[]={M16, AALauncher, DefaultManWeapons};
		magazines[]={M16, M16, M16, M16, AALauncher};

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.5, 0.9};
	};
	class SoldierWMortar: SoldierWG
	{
		//-- western soldier with riffle grenade
		// picture=imortar;
		displayName=$STR_DN_MORTAR;
		accuracy=1.5;
		weapons[]={M16, DefaultManWeapons};
		magazines[]=
		{
			M16, M16, M16, M16,
			Mortar, Mortar, Mortar
		};

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 1, 0.1};
	};
	class SoldierWSniper: SoldierWB
	{
		//--
		//picture=isniper;
		picture=\misc\sniper.paa;

		displayName=$STR_DN_SNIPER;
		nameSound="sniper";
		accuracy=3.5; // hard to recognize
		nightVision=true;
		camouflage=0.6; // how easy to spot -> bigger means better spotable
		sensitivity=2; // eye sensitivity
		cost=250000;
		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 4 * WeaponSlotItem + 2 * WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;
		weapons[]={M21, DefaultManWeapons};
		magazines[]=
		{
			M21, M21, M21, M21
		};
		model= "mc sniperw2.p3d";

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.1, 0.1};
	};
	class SoldierWLAWSniper: SoldierWSniper
	{
		scope = protected;
		displayName=$STR_DN_AT4_SNIPER;
		weapons[]={M21, LAWLauncher, DefaultManWeapons};
		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 10*WeaponSlotItem + 2*WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;
		magazines[]=
		{
			M21, M21, M21, M21,
			LAWLauncher, LAWLauncher
		};

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.9, 0.1};
	};
	class SoldierWSaboteur: SoldierWB
	{
		scope = protected;
		//picture=isaboteur;
		picture=\misc\meciky.paa;

		accuracy=3.5; // hard to recognize
		cost=400000;
		
		nameSound = "blackOp";
		displayName=$STR_DN_BLACKOP;
		weapons[]={HK, DefaultManWeapons};
		magazines[]=
		{
			HK, HK, HK, HK,
			TimeBomb, TimeBomb, TimeBomb
		};
		camouflage=0.7; // how easy to spot -> bigger means better spotable

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.5, 0.1};
		model= "mc saboteur.p3d";

		canHideBodies = true;
		canDeactivateMines=true;
		nightVision=true;
	};
	class SoldierWSaboteurPipe: SoldierWSaboteur
	{
		//--
		scope = public;
		displayName=$STR_DN_BLACKOP;
		weapons[]={HK, NVGoggles, DefaultManWeapons};
		magazines[]=
		{
			HK, HK, HK, HK,
			PipeBomb, PipeBomb, PipeBomb
		};
	};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe
	{
		//--
		scope = public;
		model= "mc saboteurday.p3d";
		displayName=$STR_DN_BLACKOPDAY;
		weapons[]={HK, Binocular, DefaultManWeapons};
		magazines[]=
		{
			HK, HK, HK, HK,
			PipeBomb, PipeBomb, PipeBomb
		};
	};
	class SoldierWMiner: SoldierWB
	{
		//--
		//picture=iminer;
		displayName=$STR_DN_ENGINEER;
		canDeactivateMines=true;
		picture=\misc\sapper.paa;
		accuracy=1000; // never recognize
		weapons[]={M16, Binocular, DefaultManWeapons};
		magazines[]=
		{
			M16, M16, M16, M16,
			Mine, Mine, Mine
		};

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.5, 0.1};
	};
	class OfficerW: SoldierWB
	{
		//--
		//picture=igrenadier;
		picture=\misc\frcky.paa;
		nameSound="officer";
		scope=public;
		model = "mc vojakwo2.p3d";
		//model=vojakwoficer;
		displayName=$STR_DN_OFFICER;
		accuracy=2.0;
		cost=500000;
		nightVision=true;
		weapons[]= {M16, Binocular, DefaultManWeapons};	
		magazines[]=
		{
			M16, M16, M16, M16,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade,
			SmokeShell, SmokeShell
		};	
	};
	class OfficerWNight: SoldierWB
	{
		//picture=igrenadier;
		picture=\misc\frcky.paa;
		nameSound="officer";
		scope=public;
		model = "mc vojakwo2.p3d";
		//model=vojakwoficer;
		displayName=$STR_DN_OFFICERNIGHT;
		accuracy=2.0;
		cost=500000;
		nightVision=true;
		weapons[]= {M16GrenadeLauncher, Binocular, NVGoggles, DefaultManWeapons};	
		magazines[]=
		{
			M16, M16, M16, M16,
			HandGrenade, HandGrenade, HandGrenade,
			Flare, Flare, Flare
		};	
	};
	class SoldierWCaptive : SoldierWB
	{
		//--
		cost=50000;
		displayName=$STR_DN_SOLDIERCAPTIVE;
		weapons[] = {};
		magazines[] = {};
	};
	class M1Abrams: Tank
	{
		//--
		scope=public;
		crew = SoldierWCrew;
		picture=iabrams;

		side=TWest;
		displayName=$STR_DN_M1A1;
		nameSound="Abrams";
		accuracy=0.40;

		armor=900;
		cost=4000000;

		maxSpeed=72;

		soundEngine[]={Vehicles\ModernIdle1,db-30,1};
		soundEnviron[]={Vehicles\ModernRolling_Treads1,db-40,1};

	
		model=M1_abrams;
		weapons[]={Gun120,MachineGun12_7};
		magazines[]={Heat120,Shell120,MachineGun12_7};

		gunnerAction = ManActM1A1Gunner;
		gunnerInAction = ManActM1A1Gunner;
		driverAction = ManActM1A1DriverOut;
		driverInAction = ManActM1A1Driver;
		commanderAction = ManActM1A1CommanderOut;
		commanderInAction = ManActM1A1Commander;
		
		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 1, 0.3};

		class HatchDriver
		{
			selection = "poklop_driver";
			axis = "osa_poklop_driver";
			angle = -100;
		};
		class HatchCommander
		{
			selection = "poklop_commander";
			axis = "osa_poklop_commander";
			angle = 95;
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -270;
			min = 0;
			max = 80 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -270;
			min = 0;
			max = 1;
		};
	};
	class M1AbramsAuto: M1Abrams
	{
		scope=protected;
		displayName=$STR_DN_M1A1_AUTO;
		hasGunner=false;
		hasCommander=false;
	};
	class M60: Tank
	{
		//--
		scope=public;
		crew = SoldierWCrew;
		picture=im60;

		side=TWest;
		displayName=$STR_DN_M60;
		nameSound="M60";
		accuracy=0.70;

		armor=300;
		cost=800000;

		maxSpeed=54;

		gunnerAction = ManActM60Gunner;
		gunnerInAction = ManActM60Gunner;
		driverAction = ManActM60DriverOut;
		driverInAction = ManActM60Driver;
		commanderAction = ManActM60CommanderOut;
		commanderInAction = ManActM60Commander;
	
		model=M60;
		weapons[]={Gun105,MachineGun7_6};
		magazines[]={Heat105,Shell105,MachineGun7_6};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.6, 0.2};

		class HatchDriver
		{
			selection = "poklop_driver";
			axis = "osa_poklop_driver";
			angle = -100;
		};
		class HatchCommander
		{
			selection = "poklop_commander";
			axis = "osa_poklop_commander";
			angle = -95;
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -270;
			min = 0;
			max = 60 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -315;
			min = 0;
			max = 1;
		};
	};
	/*!
	\patch 1.06 Date 7/19/2001 by Jirka
	- Fixed: M113 gunner view
	*/

	class M113: APC
	{
		//--
		scope=public;
		crew = SoldierWCrew;
		picture=im113;

		side=TWest;
		displayName=$STR_DN_M113;
		nameSound="m113";
		accuracy=0.30;

		armor=150;
		cost=100000;

		maxSpeed=60;

		hasCommander=false;
		// CHANGED
		outGunnerMayFire = true;
		forceHideGunner = true;
		viewGunnerInExternal = true;

		transportSoldier = 8;
		irScanRangeMin = 0;
		irScanRangeMax = 0;

		DefaultWestMagazines(1);
		transportAmmo = 0;

		gunnerAction = ManActM113Gunner;
		gunnerInAction = ManActM113Gunner;
		driverAction = ManActM113DriverOut;
		driverInAction = ManActM113Driver;

		soundEnviron[]={Vehicles\OldRolling_Treads1,db-20,0.7};
		soundEngine[]={Vehicles\m113b,db-20,1};
		soundCrash[]={Vehicles\crash_small2,db-20,1};
		soundGear[]={Vehicles\Gear_Trans1,db-40,1};

		model=m113;
		canFloat=true;

		class Turret: TurretBase
		{
			minElev=-12;
			maxElev=+20;
			minTurn=-360;
			maxTurn=+360;
		};

		//gunnerOpticsModel = "optika_m2mg";
		gunnerOpticsModel = "optika_empty";

		initCargoAngleY=+90; // cargo viewing limitations

		weapons[]={Browning};
		magazines[]={Browning};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.9, 0.2, 0.1};

		typicalCargo[]={Soldier, Soldier, SoldierLAW, SoldierLAW};

		class HatchDriver
		{
			selection = "poklop_driver";
			axis = "osa_poklop_driver";
			angle = 175;
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -290;
			min = 0;
			max = 64/3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -235;
			min = 0;
			max = 1;
		};
		transportMaxMagazines = 100;
		transportMaxWeapons = 20;
	};
	class M113Ambul: M113
	{
		//--
		accuracy=1000; // never recognized
		vehicleClass="Support";
		icon="Ambulance_move";
		picture=im113_ambu;
		nameSound="ambulance";

		scope=public;
		displayName=$STR_DN_M113_AMB;

		DefaultWestMagazines(0);
		attendant = true;

		model=M113_ambulance;
		weapons[]={};
		magazines[]={};

		hasGunner = false;
		transportSoldier = 3;

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};
		typicalCargo[]={};

		cargoAction[] = {ManActM113Medic, ManActM113Medic, ManActM113Injured};
		cargoIsCoDriver[] = {false, false, false};
		transportMaxMagazines = 0;
		transportMaxWeapons = 0;
	};
	/*!
	\patch 1.75 Date 3/7/2002 by Jirka
	- New: rotation machine gun animation
	*/
	class Cobra: Helicopter
	{
		//--
		picture=icobra;
		crew = SoldierWPilot;
		scope=public;
		side=TWest;
		displayName=$STR_DN_AH1;
		nameSound="cobra";
		accuracy=0.30;

		driverAction = ManActAH1Pilot;
		gunnerAction = ManActAH1Gunner;

		maxSpeed = 270;

		//soundEngine[]={Vehicles\ah1cobra,db+10,1};

		armor=50;
		cost=10000000;
		model=ah1_cobra;

		rotorBig = vrtule_velka;
		rotorBigBlend = vrtule_velka_bl_;
		rotorSmall = vrtule_mala;
		rotorSmallBlend = vrtule_mala_bl;
		weapons[]={MachineGun30W, HellfireLauncherCobra,ZuniLauncher38};
		magazines[]={MachineGun30W, HellfireLauncherCobra,ZuniLauncher38};

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.3, 1, 0.8};

		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt";
			axis = "osa_nm_alt";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -320;
			min = 0;
			max = 125;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM
		{
			selection = "rpm";
			axis = "osa_rpm";
			angle = -320;
			min = 0;
			max = 12;
		};
		laserScanner = true;
		class ReloadAnimations
		{
			class MachineGun30W
			{
				weapon = MachineGun30W;
				angle0 = 0;
				angle1 = -2 * 3.141592654;
				multiplier = 500;
				type = rotation;
				animPeriod = 1;
				selection = gatling;
				begin = "usti hlavne";
				end = "konec hlavne";
			};
		};
	}; 
	/*!
	\patch 1.21 Date 8/14/2001 by Ondra
		- Fixed: Chinook second rotor rotates in opposite direction.
		- New: Chinook rotors change orientations when accelerating / decelerating.
	*/
	class Ch47D: Helicopter
	{
		//--
		access = ReadAndWrite;
		
		//scope=protected;

		mainRotorSpeed = 1.0;
		backRotorSpeed = -1.0; 

		minMainRotorDive = -9;
		maxMainRotorDive = 15;
		neutralMainRotorDive = -5;

		minBackRotorDive = -15;
		maxBackRotorDive = 9;
		neutralBackRotorDive = -5;

		transportMaxMagazines = 200;
		transportMaxWeapons = 50;
	};
	/*!
	\patch 1.86 Date 9/17/2002 by Ondra
	- Fixed: Parachutes no longer smoke when destroyed.
	*/
	
	class ParachuteBase: Helicopter
	{
		scope = private;
		destrType=DestructNo;

		simulation=parachute;

		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 10*WeaponSlotItem + 2*WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;

		autocenter = false; // no autocenter - needed for RT animation

		vehicleClass="Air";
		displayName=$STR_DN_PARACHUTE;
		nameSound="man";
		model="para";
		picture=ivojak;
		icon = padak.paa;
		accuracy=0.1;

		fuelCapacity=0;
		unitInfoType=UnitInfoSoldier;
		hideUnitInfo=true;
		irTarget = false;
		hasGunner = false;

		soundEnviron[]={Objects\noise,db-40,0.25};
		soundGetOut[]={,db-70,1};
		soundCrash[]={,db-70,1};
		soundLandCrash[]={,db-70,1};
		soundWaterCrash[]={Explosions\intowater,db-30,1};

		driverCanSee = CanSeeEye+CanSeeEar;
		driverAction = ManActPara;
		armor = 10;

		class ViewOptics : ViewOpticsBase
		{
			initAngleX=0; minAngleX=-40; maxAngleX=17;
			initAngleY=0; minAngleY=-100; maxAngleY=100;
			initFov=0.5; minFov=0.3; maxFov=1.2;
		};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};

		cost=100000;
		//side=TWest;
		weapons[]={};
		magazines[]={};

	};
	/*!
	\patch 1.22 Date 8/30/2001 by Ondra
	- Fixed: Introduced east, civilian and resistance parachute (can be placed in mission editor).
	*/
	class ParachuteEast: ParachuteBase
	{
		//--
		scope = public;
		accuracy=0.5;
		side=TEast;
		crew = SoldierESaboteurPipe;
	};
	class ParachuteWest: ParachuteBase
	{
		//--
		scope = public;
		accuracy=0.5;
		side=TWest;
		crew = SoldierWSaboteurPipe;
	};
	class ParachuteC: ParachuteBase
	{
		//--
		scope = public;
		accuracy=0.5;
		side=TCivilian;
		crew = Civilian;
	};
	class ParachuteG: ParachuteBase
	{
		//--
		scope = public;
		accuracy=0.5;
		side=TGuerrila;
		crew = SoldierGB;
	};
	// for backward compatibility with older mission source
	class Parachute: ParachuteWest
	{
		scope = protected
	};
	/*
	\patch 1.21 Date 8/14/2001 by Ondra
		- Fixed: UH60 main rotor rotated in bad direction.
	*/
	class UH60: Helicopter
	{
		//--
		scope=public;
		crew = SoldierWPilot;
		picture=iuh60;

		maxSpeed = 270;

		side=TWest;
		displayName=$STR_DN_UH60;
		nameSound="blackhawk";
		accuracy=0.30;
		armor=60;
		cost=10000000;

		mainRotorSpeed = -1;

		model=uh-60;
		rotorBig = vrtule_uh_v;
		rotorBigBlend = vrtule_uh_v_bl;
		rotorSmall = vrtule_uh_m;
		rotorSmallBlend = vrtule_uh_m_bl;

		soundEngine[]={Vehicles\uh1,db+10,1.5};

		weapons[]={ZuniLauncher38};
		magazines[]={ZuniLauncher38};

		driverAction = ManActUH60Pilot;
		gunnerAction = ManActUH60Pilot;

		gunnerUsesPilotView = true;

		transportSoldier = 12;
		transportAmmo = 0;

		initCargoAngleY=+10; // cargo viewing limitations
		minCargoAngleY=-60;
		maxCargoAngleY=+120;

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.3, 1, 0.4};

		typicalCargo[]={Soldier, Soldier, SoldierLAW, SoldierLAW};

		class Reflectors
		{
			class Left
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 1.0;
			};
			class Right
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "P svetlo";
				direction = "konec P svetla";
				hitpoint = "P svetlo";
				selection = "P svetlo";
				size = 0.5;
				brightness = 1.0;
			};
		};
		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt";
			axis = "osa_nm_alt";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 175;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM
		{
			selection = "rpm";
			axis = "osa_rpm";
			angle = -320;
			min = 0;
			max = 12;
		};
		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro2
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt2";
			axis = "osa_nm_alt2";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed2
		{
			selection = "mph2";
			axis = "osa_mph2";
			angle = -350;
			min = 0;
			max = 175;
		};
		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM2
		{
			selection = "rpm2";
			axis = "osa_rpm2";
			angle = -320;
			min = 0;
			max = 12;
		};
		transportMaxMagazines = 150;
		transportMaxWeapons = 30;
	}; 

	class UH60MG: UH60
	{
		//--
		displayName=$STR_DN_UH60_MG;
		nameSound="blackhawk";
		accuracy=1000;
		model="uh-60mg";

		transportSoldier = 12;

		enableSweep=false;
		gunnerAction = ManActUH60Gunner;

		gunnerOpticsModel = "optika_empty";

		weapons[]={Browning};
		magazines[]={Browning};

		class Turret: TurretBase
		{
			minElev=-42; maxElev=+5;
			minTurn=30; maxTurn=150;
			soundServo[]={,db-40,1.0};
		}
		class ViewGunner: ViewGunnerBase
		{
			initAngleY=+90; minAngleY=+30; maxAngleY=+150;
			initAngleX=0; minAngleX=-42; maxAngleX=+5;
		};
	};

	/*!
		\patch 1.24 Date 9/20/2001 by Ondra
		- Fixed: Su25 armor was too low.
	*/
	class Su25: Plane
	{
		//--
		//access = ReadAndCreate; // cannot be verified - used for addon patching
		access = ReadAndWrite; // cannot be verified - used for addon patching
		armor = 50;
	};

	/*!
		\patch 1.24 Date 9/20/2001 by Ondra
		- Fixed: A10 armor was too low.
	*/
	class A10: Plane
	{
		//--
		scope=public;
		crew = SoldierWPilot;
		picture=ia10;

		side=TWest;
		displayName=$STR_DN_A10;
		nameSound="thunderbolt";
		accuracy=0.30;

		driverAction = ManActA10Pilot;

		maxSpeed = 600;

		laserScanner = true;

		armor=50;
		cost=20000000;
		model=a10;
		weapons[]={MaverickLauncher, MachineGun30A10Burst};
		magazines[]={MaverickLauncher, MachineGun30A10Burst};
		//weapons[]={MachineGun30};
		//magazines[]={MachineGun30};
		fov=0.5;

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.1, 1, 0.7};

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};
	};
	
	/*!
		\patch 1.30 Date 11/01/2001 by Ondra
		- Fixed: Cessna engine sound was too weak.
	*/
	class Cessna: A10
	{
		//--
		scope=public;
		//picture=icessna;

		crew = Civilian;

		side=TCivilian;
		displayName=$STR_DN_PLANE;
		nameSound="plane";
		accuracy=0.30;

		maxSpeed = 300;
		gearRetracting = false;
		ejectSpeed[]={0,0,0};

		armor=15;
		cost=200000;
		model=cessna182;

		picture=icessna;
/*!
		\patch 1.46 Date 3/4/2002 by Viktor
		- Fixed: Appropriate picture for Cessna.
*/

		weapons[]={};
		magazines[]={};
		fov=0.5;

		landingAoa = 7*3.1415/180;

		driverAction=ManActCessnaPilot;
		cargoAction[]={ManActCessnaCoPilot,ManActCessnaCargo};

		soundEngine[]={Vehicles\plane,db-10,1};
		soundEnviron[]={Objects\noise,db-60,1.0};
		soundServo[]={Vehicles\gun_elevate,db-40,0.4};

		transportSoldier = 3;

		extCameraPosition[]={0,2,-30};

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.1, 1, 0.7};
		audible = 6; // Cessna is not as loud as other planes

		aileronSensitivity = 0.33; // relative aileron sensitivity
		elevatorSensitivity = 0.1; // relative elevator sensitivity
		//noseDownCoef = 0.25; // how much goes nose down during turns
		noseDownCoef = 0.025; // how much goes nose down during turns

		class Reflectors
		{
			class Left
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
			class Right
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "P svetlo";
				direction = "konec P svetla";
				hitpoint = "P svetlo";
				selection = "P svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};

		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -355;
			min = 0;
			max = 150;
		};
		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -355;
			min = 0;
			max = 150;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -300;
			min = 0;
			max = 90;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM
		{
			selection = "rpm";
			axis = "osa_rpm";
			angle = -240;
			min = 0;
			max = 1;
		};
		class IndicatorCompass
		{
			selection = "kompas";
			axis = "osa_kompas";
			angle = 360;
			min = -3.1415926536;
			max = 3.1415926536;
		};
		class IndicatorWatch
		{
			hour = "hodinova";
			minute = "minutova";
			axis = "osa_time";
			reversed = false;
		};
		class IndicatorWatch2
		{
			hour = "hodinova2";
			minute = "minutova2";
			axis = "osa_time2";
			reversed = false;
		};
	};

/*	class CarrierW: BigShip
	{
		scope=public;
		crew = SoldierWB;
		side=TWest;
		displayName=$STR_DN_LST;
		model=newport;
		picture=im113;
		accuracy=0.50;

		maxSpeed=50;

		transportSoldier = 50;

		class TransportMagazines {};

		transportAmmo = 10000000;
		transportVehiclesCount = 15;

		//cost=200000000;
		cost=0;
		armor=10000;
		weapons[]={};
		magazines[]={};
	};
*/

	class BoatW: SmallShip
	{
		//--
		vehicleClass="Armored";
		displayName=$STR_DN_MARK_II;
		accuracy=0.50;

		scope=public;
		crew = SoldierWB;
		model="pbr";
		picture=ipbr;
		side=TWest;

		driverIsCommander=true;
		driverAction = ManActPBRDriver;
		gunnerAction = ManActPBRGunner;
		cargoAction[] = {ManActCargo};

		gunnerOpticsModel = "optika_empty";

		maxSpeed=60;

		transportSoldier = 6;

		DefaultWestMagazines(1)

		cost=100000;
		armor=100;
	};
	class BoatWAuto: BoatW
	{
		scope=protected;
		displayName=$STR_DN_MARK_II_AUTO;
		hasGunner=false;
		hasCommander=false;
	};

	/*!
		\patch 1.17 Date 8/14/2001 by Ondra
		- Fixed: M2 static gun was visible on tank radar.
	*/
	class M2StaticMG: M113
	{	// TODO: derive from Fortress
		//--
		hideProxyInCombat = false;

	/*!
		\patch 1.30 Date 11/02/2001 by Viktor
		- Fixed: Appropriate picture for M2.
	*/
		picture=m2;
	/*!
		\patch 1.30 Date 11/02/2001 by Viktor
		- Fixed: Soldier instead of tank crew.
	*/
		crew = SoldierWB;
		
		hasDriver = false; // no driver - static
		hasGunner = true; // only one person inside
		hasCommander = false;

		castGunnerShadow = true;
		ejectDeadGunner = true;

		unitInfoType=UnitInfoSoldier;
		hideUnitInfo=true;

		irScanRangeMin = 0;
		irScanRangeMax = 0;
		irTarget = false;

		maxSpeed = 1; // not able to move
		fuelCapacity = 0;
		transportSolider = 0;

		gunnerAction = ManActM2Gunner;
		gunnerInAction = ManActM2Gunner;
		gunnerCanSee = CanSeeEye+CanSeeEar;
		commanderCanSee = CanSeeEye+CanSeeEar;

		extCameraPosition[]={0,0.8,-5};

		class TransportMagazines {};

		cost=10000;

		//getInAction = ManActStop;
		getInAction = ManActGetInCar;
		getOutAction = ManActGetOutCar;

		class Turret: TurretBase
		{
			soundServo[]={};
			minElev=-20;
			maxElev=+20;
			minTurn=-360;
			maxTurn=+360;
		};
		
		armor=30;
		armorStructural=10.0;
		type = VSoft;
		
		model=m2_mg;
		icon = kulomet.paa;

		displayName=$STR_DN_M2_MG;
		nameSound="mgun";

		transportSoldier = 0;
		transportAmmo = 0;
		accuracy=0.30;
		typicalCargo[]={};

		transportMaxMagazines = 0;
		transportMaxWeapons = 0;

	};

	//EAST	
	class UAZ: Car
	{
		//--
		picture=iuaz;
		scope=public;
		crew = SoldierEB;
		side=TEast;
		displayName=$STR_DN_UAZ;
		nameSound="UAZ";
		accuracy=0.50;

		transportSoldier = 3;
		transportAmmo = 0;

		maxSpeed = 90;


		driverAction=ManActUAZDriver;
		cargoAction[] =
		{
			ManActUazCoDriver,ManActCargo
		};
		cargoIsCoDriver[] = {true,false};

		cost=25000;
		armor=20;
		model=uaz;

		armorWheels=0.12;

		soundEngine[]={Vehicles\uazloop,db-30,1.25};

		// internal camera viewing limitations
		class ViewPilot: ViewPilotBase
		{
			initAngleX=10;
		};
		
		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.5, 0.5, 0.1};

		dammageHalf[]=
		{
			jeep4x4_glass.paa,jeep4x4_glassB.paa,
			jeep_kab_sklo1.paa,jeep_kab_sklo1B.paa,
			jeep_kab_sklo2.paa,jeep_kab_sklo2B.paa,
			scud_sklo.paa,scud_skloB.paa,
			scud_sklo2.paa,scud_sklo2B.paa,
			scud_sklo3.paa,scud_sklo3B.paa, 
			scud_sklo4.paa,scud_sklo4B.paa
		};
		dammageFull[]=
		{
			jeep4x4_glass.paa,jeep4x4_glassC.paa,
			jeep_kab_sklo1.paa,jeep_kab_sklo1C.paa,
			jeep_kab_sklo2.paa,jeep_kab_sklo2C.paa,
			scud_sklo.paa,scud_skloC.paa,
			scud_sklo2.paa,scud_sklo2C.paa,
			scud_sklo3.paa,scud_sklo3C.paa, 
			scud_sklo4.paa,scud_sklo4C.paa
		};


		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -240;
			min = 0;
			max = 50;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -170;
			min = 0;
			max = 1;
		};
	};
	class Ural : Truck
	{
		//--
		scope=public;
		crew = SoldierEB;
		picture=iural;
		icon=truck;

		side=TEast;
		displayName=$STR_DN_URAL;

		accuracy=0.30;

		maxSpeed=80;
		wheelCircumference=4.513;
		turnCoef=6.0;

		driverAction = ManActUralDriver;

		cargoAction[] =
		{
			ManActUralCoDriver,ManActUralCoDriver,ManActCargo
		};
		cargoIsCoDriver[] = {true,true,false};

		transportSoldier = 12;

		DefaultEastMagazines(1)
		
		transportAmmo = 0;
		transportRepair = 0;

		weapons[]={TruckHorn};
		magazines[]={};

		cost=50000;
		armor=20;
		model=ural;
		hiddenSelections[] = {ammo};

		initCargoAngleY=+185; // cargo viewing limitations

		soundEngine[]={Vehicles\Largecar,db-20,1};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};

		typicalCargo[]={Soldier, Soldier, SoldierLAW, SoldierLAW};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -280;
			min = 0;
			max = 40;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -280;
			min = 0;
			max = 1;
		};
	};
	class UralRepair : Ural
	{
		//--
		picture=iuralrepair;
		vehicleClass="Support";
		icon="Repair_move";

		scope=public;
		displayName=$STR_DN_URAL_REPAIR;
		accuracy=0.90;

		model=uralrepair;
		hiddenSelections[] = {};

		transportSoldier = 2;
		transportRepair = 200000000;
		weapons[]={};
		magazines[]={};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};

		typicalCargo[]={};
	};
	class UralReammo : Ural
	{
		//--
		vehicleClass="Support";
		icon="Ammo_move";

		scope=public;
		displayName=$STR_DN_URAL_AMMO;
		accuracy=0.90;

		transportSoldier = 2;

		DefaultEastMagazines(1)
		transportAmmo = 300000;
/*!
		\patch 1.46 Date 3/4/2002 by Viktor
		- Fixed: More ammo for Reammo Ural (same as for Reammo 5tTruck).
*/

		model=ural;
		hiddenSelections[] = {};
		weapons[]={};
		magazines[]={};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};
	};
	class UralRefuel : Ural
	{
		//--
		picture=iuralfuel;
		vehicleClass="Support";
		icon="Fuel_move";

		scope=public;
		displayName=$STR_DN_URAL_FUEL;
		accuracy=0.80;

		model=uralfuel;
		hiddenSelections[] = {};
		weapons[]={};
		magazines[]={};

		transportFuel = 3000;
		transportSoldier = 2;
		transportAmmo = 0;

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};
	};
	class Scud: Ural
	{
		//--
		vehicleClass="Car";
		picture=iscud;
		nameSound="scudLauncher";
		scope=public;
		displayName=$STR_DN_SCUD;
		accuracy=0.90;

		armor = 40;
		maxSpeed = 55;

		driverAction=ManActSCUDDriver;
		cargoAction[]={ManActSCUDCoDriver};
		cargoIsCoDriver[] = {true};
		/*!
		\patch 1.40 Date 12/18/2001 by Ondra
		- Fixed: SCUD has now 3 cargo seats instead of 4 (4th position was undefined).
		*/
		
		transportSoldier = 3;
		transportAmmo = 0;
		
		turnCoef=8.0;

		model=scud;
		hiddenSelections[] = {};
		weapons[]={};
		magazines[]={};

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};

		scudLaunch = "scudlunch.rtm";
		scudStart = "scudstart.rtm";
		scudSoundElevate[] = {vehicles\gun_elevate, db-40, 1};
		scudSound[] = {weapons\rocketflying, db+50, 0.2};

		scudModel = scud_strela_proxy;
		scudModelFire = scud_strela_ohen;
	};
	class SoldierEB: Soldier
	{
		//--
		displayName=$STR_DN_SOLDIER;
		//picture=ivojak;
		vehicleClass="Men";
		scope=public;
		model="MC vojakE2";
		hiddenSelections[] = {"medic"};
		moves=CfgMovesMC;
		side=TEast;
		cost=40000;
		accuracy=0.7;
		weapons[]={AK74, DefaultManWeapons};
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade
		};
	};

	class SoldierWFakeE : SoldierEB
	{
		//--
		moves=CfgMovesMC;
		//picture=ivojak;
		vehicleClass="Men";
		scope=protected;
		side=TWest;
		accuracy=2.0;
		displayName=$STR_DN_SOLDIERFAKE;
		weapons[]={AK74, DefaultManWeapons};
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade
		};

		cost=40000;
	};
	class SoldierEG : SoldierEB
	{
		//--
		cost=50000;
		accuracy=1000;
		displayName=$STR_DN_GRENADIER;
		// weapons[]={AK74, AK74Burst, AK74FullAuto, GrenadeLauncher};
		weapons[]={AK74GrenadeLauncher, DefaultManWeapons};
		magazines[]={AK74, AK74, AK74, AK74, GrenadeLauncher, GrenadeLauncher, GrenadeLauncher};
	};

	class SoldierEMedic: SoldierEB
	{
		//--
		//model=vojakw_medic;
		accuracy=1000; // never recognized
		//picture=imedic;
		picture=\misc\medik.paa;
		vehicleClass="Men";
		scope=public;
		cost=60000;
		displayName=$STR_DN_MEDIC;
		weaponSlots = WeaponSlotPrimary + 4 * WeaponSlotItem + WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;
		attendant = true;
		weapons[]={AK74, DefaultManWeapons};
		magazines[]={AK74, AK74, AK74, AK74};
		nameSound="medic";
		hiddenSelections[] = {};
	};



	class SoldierENOG: SoldierEB {scope=protected;};
	class SoldierE: SoldierEG {scope=protected;};
	class SoldierECrew: SoldierEB
	{
		//--
		model = "MC tankistaE2.p3d";
		nameSound="crew";
		accuracy=1000; // never recognize
		displayName=$STR_DN_CREW;
		
		weapons[]={AK74SU, NVGoggles, DefaultManWeapons};
	};
	class SoldierEPilot: SoldierEB
	{
		//--
		accuracy=1000; // never recognize
		model = "mc pilote2.p3d"
		displayName=$STR_DN_PILOT;
		nameSound="pilot";

		weapons[]={AK74SU, NVGoggles, DefaultManWeapons};
	};
	class SoldierEMG: SoldierEB
	{
		//--
		//picture=ismg;
		vehicleClass="Men";
		scope=public;
		//model=pke;
		displayName=$STR_DN_MGUNNER;
		cost=60000;
		side=TEast;
		accuracy=1.5;
		nameSound="machineGunner";
		weapons[]={PK, DefaultManWeapons};	
		magazines[]=
		{
			PK, PK, PK, PK, PK
		};	
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.1, 0.8};
	};
	class SoldierELAW: SoldierEB
	{
		//--
		//picture=islaw;
		displayName=$STR_DN_RPG_SOLDIER;
		nameSound="missileSoldier";
		cost=80000;
		accuracy=1.5;
		weapons[]={AK74, RPGLauncher, DefaultManWeapons};	
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			RPGLauncher, RPGLauncher, RPGLauncher
		};	
		nightVision=true;

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.9, 0.1};
	};
	class SoldierEAT: SoldierELAW
	{
		//--
		//picture=isat;
		displayName=$STR_DN_AT4_SOLDIER;
		nameSound="missileSoldier";
		accuracy=1.5;
		weapons[]={AK74, AT4Launcher, DefaultManWeapons};	
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			AT4Launcher
		};	

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.9, 0.1};
	};
	class SoldierEAA: SoldierELAW
	{
		//--
		//picture=isaa;
		displayName=$STR_DN_AA_SOLDIER;
		nameSound="missileSoldier";
		accuracy=1.5;
		weapons[]={AK74, 9K32Launcher, DefaultManWeapons};	
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			9K32Launcher
		};	

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.5, 0.9};
	};
	class SoldierEMiner: SoldierEB
	{
		//--
		//picture=iminer;
		displayName=$STR_DN_ENGINEER;
		accuracy=1000; // never recognize
		weapons[]={AK74, DefaultManWeapons};
		canDeactivateMines=true;
		picture=\misc\sapper.paa;
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			MineE, MineE, MineE
		};

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.5, 0.1};
	};
	class OfficerE: SoldierEB
	{
		//--
		nameSound="officer";
		displayName=$STR_DN_OFFICER;
		scope=public;
		//model=vojakeoficer;
		model = "mc vojakeo2.p3d"
		picture=\misc\frcky.paa;
		side=TEast;
		accuracy=2.0;
		cost=600000;
		nightVision=true;
		weapons[]={AK74, Binocular, DefaultManWeapons};	
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade,
			SmokeShell, SmokeShell
		};	
	};
	class OfficerENight: SoldierEB
	{
		//--
		nameSound="officer";
		displayName=$STR_DN_OFFICERNIGHT;
		scope=public;
		//model=vojakeoficer;
		model = "mc vojakeo2.p3d"
		picture=\misc\medik.paa;
		side=TEast;
		accuracy=2.0;
		cost=600000;
		nightVision=true;
		weapons[]={AK74GrenadeLauncher, Binocular, NVGoggles, DefaultManWeapons};	
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			HandGrenade, HandGrenade, HandGrenade,
			Flare, Flare, Flare
		};	
	};
	class GeneralE: SoldierEB
	{
		//--
		nameSound="officer";
		displayName=$STR_DN_GENERAL;
		scope=protected;
		//model=vojakeoficer;
		model = "mc vojake2_guba.p3d"
		side=TEast;
		accuracy=2.0;
		cost=100000;
		nightVision=true;
		weapons[]={};	
		magazines[]=
		{
		};	
	};
	class Angelina: SoldierEB
	{
		//--
		displayName=$STR_DN_ANGELINA;
		scope=protected;
		model = "angelina.p3d"
		side=TEast;
		accuracy=2.0;
		cost=100000;
		weapons[]={};	
		magazines[]=
		{
		};	
	};

	class SoldierESniper: SoldierEB
	{
		//--
		nameSound="sniper";
		displayName=$STR_DN_SNIPER;
		accuracy=3.5; // hard to recognize
		nightVision=true;
		cost=250000;
		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 4 * WeaponSlotItem + 2 * WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;

		weapons[]={SVDDragunov, DefaultManWeapons};
		magazines[]=
		{
			SVDDragunov, SVDDragunov, SVDDragunov, SVDDragunov
		};

		model = "mc snipere2.p3d"
		picture=\misc\sniper.paa;
		sensitivity=2; // eye sensitivity
		camouflage=0.6; // how easy to spot -> bigger means better spotable

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.1, 0.1};
	};

	class SoldierESaboteur: SoldierEB
	{
		scope = protected;
		//picture=isaboteur;
		picture=\misc\meciky.paa;
		accuracy=3.5; // hard to recognize
		cost=400000;

		displayName=$STR_DN_SPECNAS;
		weapons[]={AK74SU, DefaultManWeapons};
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			TimeBomb, TimeBomb, TimeBomb
		};

		camouflage=0.7; // how easy to spot -> bigger means better spotable

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.5, 0.1};

		model = "mc specnas2.p3d"
		nameSound="specNas";

		canHideBodies = true;
		canDeactivateMines=true;
	};
	class SoldierESaboteurPipe: SoldierESaboteur
	{
		//--
		scope = public;
		displayName=$STR_DN_SPECNAS;
		weapons[]={AK74SU, NVGoggles, DefaultManWeapons};
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			PipeBomb, PipeBomb, PipeBomb
		};
	};
	class SoldierEFakeW : SoldierWB
	{
		//--
		model="MC vojakW2";
		moves=CfgMovesMC;
		//picture=ivojak;
		vehicleClass="Men";
		scope=protected;
		side=TEast;
		accuracy=2.0;
		displayName=$STR_DN_ESOLDIERFAKE;
		weapons[]={M16, DefaultManWeapons};
		magazines[]=
		{
			M16, M16, M16, M16,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade
		};
		cost=40000;
	};


	class LaserTarget: All
	{
		//-- laser designator dot
		reversed=false; // all vehicles are reversed - except static

		hasDriver=false;
		
		icon="Unknown_object";

		displayName = $STR_DN_LASER_TARGET;
		nameSound="target";
		accuracy=0.005;
		model = "laserTgt.p3d";

		picture="ivojak";
/*!
	\patch 1.33 Date 11/29/2001 by Ondra
	- Changed: Laser target priority increased.
*/
		// add weapons - make AI consider it "combat" enemy
		// but not too dangerous, otherwise it will try to avoid it
		weapons[]={M16};
		magazines[]={M16};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.5, 0.5, 0.1};
		maxSpeed=0; // cannot move

		simulation="laserTarget";
		laserTarget = true;
		irTarget = false;

		destrType=DestructNo;
		side = TCivilian;

		cost=100000000; // make AI attacking it with very high priority
		armor=500; // make AI selecting appropriate (heavy) weapon

	};

	class BMP: APC
	{
		//--
		scope=public;
		crew = SoldierECrew;
		picture=ibmp;
		side=TEast;
		displayName=$STR_DN_BMP;
		nameSound="BMP";
		accuracy=0.30;

		maxSpeed = 70;

		hiddenSelections[] = {"pruh"};

		transportSoldier = 8;
		DefaultEastMagazines(1);
		transportAmmo = 0;

/*!
	\patch 1.30 Date 11/02/2001 by Viktor
	- Improved: A bit better armor for BMP.
*/

		armor=200;
		cost=150000;
	
		forceHideGunner = false;

		model=bmp;
		canFloat=true;

		minGunElev=-5;
		maxGunElev=+15;

		weapons[]={Gun73,MachineGun7_6,AT3Launcher};
		magazines[]={Heat73,Shell73,MachineGun7_6,AT3Launcher};

		typicalCargo[]={Soldier, Soldier, SoldierLAW};
		
		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.9, 0.7, 0.3};

		soundEnviron[]={Vehicles\OldRolling_Treads1,db-15,1};
		soundEngine[]={Vehicles\T55Sound,db-15,1};

		driverAction = ManActBMPDriverOut;
		gunnerAction = ManActBMPGunnerOut;
		commanderAction = ManActBMPCommanderOut;

		driverInAction = ManActBMPDriver;
		gunnerInAction = ManActBMPGunner;
		commanderInAction = ManActBMPCommander;

		class HatchDriver
		{
			selection = "poklop_driver";
			axis = "osa_poklop_driver";
			angle = -100;
		};
		class HatchCommander
		{
			selection = "poklop_commander";
			axis = "osa_poklop_commander";
			angle = -90;
		};
		class HatchGunner
		{
			selection = "poklop_gunner";
			axis = "osa_poklop_gunner";
			angle = +90;
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -320;
			min = 0;
			max = 40 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -230;
			min = 0;
			max = 1;
		};
	};

	class BMPAmbul: BMP
	{
		//--
		accuracy=1000; // never recognized
		vehicleClass="Support";
		icon="Ambulance_move";
		nameSound="ambulance";	
		picture=ibmp_abu;

		scope=public;
		displayName=$STR_DN_BMP_AMB;

		attendant = true;
		//class TransportMagazines {};

		hasGunner = false;
		transportSoldier = 2;
		
		DefaultEastMagazines(0);
		
		model=bmp_Ambu;
		weapons[]={};
		magazines[] = {};

		// ??
		minGunTurn=-6;

		type=VSoft;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};
		typicalCargo[]={};

		cargoAction[] =
		{
			ManActM113Medic, ManActM113Injured
		};
		cargoIsCoDriver[] = {false,false};
	};
	class RussianTank: Tank
	{
		//--
		accuracy=0.35;
		side=TEast;
		crew = SoldierECrew;
		commanderOpticsModel = "optika_tanke_auxiliary";

		forceHideGunner = false;
	};
	class T72: RussianTank
	{
		//--
		scope=public;
		picture=it72;
		side=TEast;
		displayName=$STR_DN_T72;
		nameSound="t72";
		accuracy=0.50;

		hiddenSelections[] = {"pruh"};

		armor=400;
		cost=1000000;

		maxSpeed=60;
		
		driverAction = ManActT72DriverOut;
		gunnerAction = ManActT72GunnerOut;
		commanderAction = ManActT72CommanderOut;

		driverInAction = ManActT72Driver;
		gunnerInAction = ManActT72Gunner;
		commanderInAction = ManActT72Commander;

		model=t72;
		weapons[]={Gun120,MachineGun7_6};
		magazines[]={Heat120,Shell120,MachineGun7_6};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.9, 0.8, 0.2};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -270;
			min = 0;
			max = 100 / 3.6;
		};
		class IndicatorSpeed2
		{
			selection = "ukaz_rychlo2";
			axis = "osa_rychlo2";
			angle = -270;
			min = 0;
			max = 100 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -290;
			min = 0;
			max = 1;
		};
	};
	class T80: RussianTank
	{
		//--
		scope=public;
		picture=it80;
		side=TEast;
		displayName=$STR_DN_T80;
		nameSound="t80";
		accuracy=0.50;

		driverAction = ManActT80DriverOut;
		gunnerAction = ManActT80GunnerOut;
		commanderAction = ManActT80CommanderOut;

		hiddenSelections[] = {"pruh"};

		driverInAction = ManActT80Driver;
		gunnerInAction = ManActT80Gunner;
		commanderInAction = ManActT80Commander;

		armor=700;
		cost=1500000;

		maxSpeed = 70;

		soundEngine[]={Vehicles\ModernIdle1,db-30,1};
		soundEnviron[]={Vehicles\ModernRolling_Treads1,db-30,1};

		model=t80;
		weapons[]={Gun120,MachineGun12_7};
		magazines[]={Heat120,Shell120,MachineGun12_7};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.9, 0.9, 0.3};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -270;
			min = 0;
			max = 100 / 3.6;
		};
		class IndicatorSpeed2
		{
			selection = "ukaz_rychlo2";
			axis = "osa_rychlo2";
			angle = -270;
			min = 0;
			max = 100 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -290;
			min = 0;
			max = 1;
		};
	};
	class T80Auto: T80
	{
		scope=protected;
		hasGunner=false;
		hasCommander=false;
		displayName=$STR_DN_T80_AUTO;
		accuracy=1000;
	};
	class ZSU: Tank
	{
		//--
		scope=public;
		crew = SoldierECrew;
		picture=izsu;
		icon = antiAC.paa;
		side=TEast;
		displayName=$STR_DN_ZSU;
		nameSound="shilka";
		accuracy=0.30;

		commanderCanSee = CanSeeAll;
		gunnerCanSee = CanSeeRadarC+CanSeeOptics+CanSeeEar;

		driverAction = ManActZSUDriver;
		gunnerAction = ManActZSUGunnerOut;
		commanderAction = ManActZSUCommanderOut;

		driverInAction = ManActZSUDriver;
		gunnerInAction = ManActZSUGunner;
		commanderInAction = ManActZSUCommander;

		forceHideGunner = false;
		forceHideDriver = true;

		class HatchDriver
		{
			selection = "poklop_driver";
			axis = "osa_poklop_driver";
			angle = +100;
		};
		class HatchCommander
		{
			selection = "poklop_commander";
			axis = "osa_poklop_commander";
			angle = +100;
		};

		armor=250;
		cost=1000000;
		model=zsu;
		simulation=tank;

		maxSpeed=44;
		// long range radar
		irScanRangeMin = 4000;
		irScanRangeMax = 10000;
		irScanToEyeFactor = 5;
		irScanGround = false;  // NO IR on ground targets

		soundCrash[]={Vehicles\crash1,db-20,1};
		
		weapons[]={ZsuCannon};
		magazines[]={ZsuCannon};

		class Turret: TurretBase
		{
			minElev=-7;
			maxElev=+70;
		};

		class IndicatorSpeed
		{
			selection = "ukaz_mph";
			axis = "osa_mph";
			angle = 250;
			min = 0;
			max = 100 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = 315;
			min = 0;
			max = 1;
		};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.5, 0.5, 1};

		gunnerOpticsModel = "optika_zsu_gunner";
		commanderOpticsModel = "optika_tanke_auxiliary";
	};

	/*!
		\patch 1.30 Date 11/01/2001 by Ondra
		- Fixed: Soldier in eastern static MG is now wearing correct uniform.
	*/
	class M2StaticMGE: M2StaticMG		
		// East version (stolen?)
	{	// TODO: derive from Fortress
		//--
		side=TEast;
		displayName=$STR_DN_M2_MGE;
		crew = SoldierEB;
	};

	class Mi24: Helicopter
	{
		//--
		scope=public;
		crew = SoldierEPilot;
		picture=imi24;

		maxSpeed = 294;


		side=TEast;
		displayName=$STR_DN_MI24;
		nameSound="hind";
		accuracy=0.50;
		cost=4000000;
		armor=100;
		model=mi24_HIND;
		rotorBig = hip_vrt_v;
		rotorBigBlend = hip_vrtblur_v;
		rotorSmall = vrthind_m;
		rotorSmallBlend = vrthind_m_bl;
		soundEngine[]={vehicles\mi_helicopter,db+10,1};
		weapons[]={MachineGun30E,HellfireLauncherHind,Rocket57x64};
		magazines[]={MachineGun30E,HellfireLauncherHind,Rocket57x64};

/*!
		\patch 1.46 Date 3/4/2002 by Viktor
		- Fixed: 8 men can be transported in Hind's cargo.
*/
		transportSoldier = 8;	// were 6 - unknown reason...
		transportAmmo = 0;

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.6, 1, 0.8};

		typicalCargo[]={Soldier, SoldierLAW};

		driverAction = ManActMi24Pilot;
		gunnerAction = ManActMi24Gunner;

		class Reflectors
		{
			class Left
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 1.0;
			};
			class Right
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "P svetlo";
				direction = "konec P svetla";
				hitpoint = "P svetlo";
				selection = "P svetlo";
				size = 0.5;
				brightness = 1.0;
			};
		};
		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt";
			axis = "osa_nm_alt";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 175;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -300;
			min = -35;
			max = 35;
		};
		class IndicatorRPM
		{
			selection = "rpm";
			axis = "osa_rpm";
			angle = -320;
			min = 0;
			max = 12;
		};
		class IndicatorWatch
		{
			hour = "hodinova";
			minute = "minutova";
			axis = "osa_time";
			reversed = false;
		};

		class ReloadAnimations
		{
			class MachineGun30E
			{
				weapon = MachineGun30E;
				angle0 = 0;
				angle1 = -2 * 3.141592654;
				multiplier = 500;
				type = rotation;
				animPeriod = 0.5;
				selection = gatling;
				begin = "usti hlavne";
				end = "konec hlavne";
			};
		};
	}; 
	class Mi17: Helicopter
	{
		//--
		scope=public;
		crew = SoldierEPilot;
		picture=imi17;

		maxSpeed = 240;

		side=TEast;
		displayName=$STR_DN_MI17;
		nameSound="mi17";
		accuracy=0.50;
		cost=3000000;
		armor=50;
		model=mi17_HIP;
		rotorBig = hip_vrt_v;
		rotorBigBlend = hip_vrtblur_v;
		rotorSmall = vrthind_m;
		rotorSmallBlend = vrthind_m_bl;
		soundEngine[]={vehicles\Slow4blade_Loop1,db+10,1};
		weapons[]={Rocket57x192};
		magazines[]={Rocket57x192};


		driverAction = ManActMi17Pilot;
		gunnerAction = ManActMi17Pilot;

		gunnerUsesPilotView = true;

		transportSoldier = 12;
		transportAmmo = 0;

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.6, 1, 0.4};

		typicalCargo[]={Soldier, Soldier, SoldierLAW, SoldierLAW};

		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt";
			axis = "osa_nm_alt";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 125;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM
		{
			selection = "rpm";
			axis = "osa_rpm";
			angle = -320;
			min = 0;
			max = 12;
		};
		class IndicatorAltRadar2 : IndicatorAltRadar
		{
			selection = "alt2";
			axis = "osa_alt2";
		};
		class IndicatorAltBaro2 : IndicatorAltBaro
		{
			selection = "nm_alt2";
			axis = "osa_nm_alt2";
		};
		class IndicatorSpeed2 : IndicatorSpeed
		{
			selection = "mph2";
			axis = "osa_mph2";
		};
		class IndicatorVertSpeed2 : IndicatorVertSpeed
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
		};
		class IndicatorRPM2 : IndicatorRPM
		{
			selection = "rpm2";
			axis = "osa_rpm2";
		};
		class Reflectors
		{
			class Left
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 1.0;
			};
			class Right
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "P svetlo";
				direction = "konec P svetla";
				hitpoint = "P svetlo";
				selection = "P svetlo";
				size = 0.5;
				brightness = 1.0;
			};
		};
	};
	class CarrierW: BigShip
	{
		//--

		vehicleClass="Armored"; // TODO: remove

		scope=public;
		crew = SoldierWB;
		side=TWest;
		displayName=$STR_DN_LST;
		model=newport;
		picture=im113;
		accuracy=0.50;

		maxSpeed=50;

		transportSoldier = 50;
		class TransportMagazines {};
		
		transportAmmo = 10000000;
		transportVehiclesCount = 15;

		cost=200000000;
		armor=10000;
		weapons[]={};
		magazines[]={};
	};

	class BoatE: SmallShip
	{
		//--
		vehicleClass="Armored";
		displayName=$STR_DN_BOAT;
		accuracy=0.50;

		scope=public;
		crew = SoldierEB;
		model="hrl";
		picture=ihrl;
		side=TEast;

		maxSpeed=60;

		driverAction = ManActHRLDriver;
		gunnerAction = ManActHRLGunner;
		cargoAction[] = {ManActCargo};

		gunnerOpticsModel = "optika_empty";

		transportSoldier = 10;
		DefaultEastMagazines(1)
		
		cost=100000;
		armor=100;

		class Turret: TurretBase
		{
			soundServo[]={,db-40,1.0};
			minElev=-5; maxElev=+20;
			minTurn=+90; maxTurn=+270;
		};
		class ViewOptics : ViewOpticsBase
		{
			initFov=0.3; minFov=0.17; maxFov=0.35;
			initAngleY=180; minAngleY=+90; maxAngleY=+270;
		};
		class ViewGunner: ViewGunnerBase
		{
			initAngleY=+180; minAngleY=+180; maxAngleY=+180;
			initAngleX=0; minAngleX=-15; maxAngleX=+25;
		};
	};

  
	//GUERRILA
	class TruckV3SG: Truck
	{
		//--
		scope=public;
		crew = SoldierGB;
		picture=iv3s;
		icon=truck;

		side=TGuerrila;
		displayName=$STR_DN_PV3S;

		accuracy=0.30;

		maxSpeed = 75;

		transportSoldier = 11;
		DefaultGuerMagazines(1)
		
		transportAmmo = 0;
		transportRepair = 0;
		
		turnCoef=6.0;

		cost=20000;
		armor=30;
		model=v3s;
		hiddenSelections[] = {ammo};

		initCargoAngleY=+185; // cargo viewing limitations

		soundEngine[]={vehicles\dieseltruckloop1,db-25,1};

		weapons[]={};
		magazines[]={};

		driverAction = ManActV3SDriver;

		cargoAction[] =
		{
			ManActV3SCoDriver,ManActCargo
		};
		cargoIsCoDriver[] = {true,false};

		typicalCargo[]={Soldier, Soldier, SoldierLAW, SoldierLAW};
		threat[]={1, 1, 0.3};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -275;
			min = 0;
			max = 80 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -275;
			min = 0;
			max = 1;
		};
	};

	class GJeep: Car
	{
		//--
		scope=public;
		/*
		\patch 1.05 Date 07/16/2001 by Jirka
		- Fixed: default resistance jeep driver was western soldier.
		*/
		crew = SoldierGB;
		picture=ijeep;

		maxSpeed=100;

		side=TGuerrila;
		displayName=$STR_DN_JEEP;
		nameSound="jeep";
		accuracy=0.50;

		armor=20;
		cost=30000;
		fuelCapacity=50;

		transportSoldier = 3;
		transportAmmo = 0;

		model=gjeep;

		armorWheels=0.12;

		driverAction = ManActJeepDriver;

		cargoAction[] =
		{
			ManActJeepCoDriver,ManActJeepCoDriverBack
		};
		cargoIsCoDriver[] = {true,false};

		soundEngine[]={Vehicles\jeeploop,db-20,1};

		typicalCargo[]={Soldier, SoldierLAW};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -240;
			min = 0;
			max = 40;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -240;
			min = 0;
			max = 1;
		};
	};

	class TruckV3SCivil: TruckV3SG
	{
		//--
		
		side=TCivilian;
		crew = Civilian;
		displayName=$STR_DN_PV3S_CIVIL;
		model=v3scivil;
		
	};

	class PaperCar: Car
	{
		scope=protected;
		picture=itruck5t;
		icon=truck;
		displayName=$STR_DN_PAPER_CAR;
		model="papAuto";
		class Reflectors {};
	};
	class TruckV3SGRefuel: TruckV3SG
	{	
		//--
		picture=iv3sfuel;
		vehicleClass="Support";
		icon="Fuel_move";
		displayName=$STR_DN_PV3S_FUEL;
		model=v3sfuel;
		transportSoldier = 1;
		hiddenSelections[] = {};
		typicalCargo[]={};
	};
	class TruckV3SGRepair: TruckV3SG
	{	
		//--
		picture=iv3srepair;
		vehicleClass="Support";
		icon="Repair_move";
		displayName=$STR_DN_PV3S_REPAIR;
		model=v3srepair;
		transportSoldier = 1;
		hiddenSelections[] = {};
		typicalCargo[]={};
	};
	class TruckV3SGReammo: TruckV3SG
	{			
		//--
		vehicleClass="Support";
		icon="Ammo_move";
		displayName=$STR_DN_PV3S_AMMO;
		transportSoldier = 1;
		hiddenSelections[] = {};
		typicalCargo[]={};
	};

	class UAZG: Car
	{
		//--
		scope=public;
		crew = SoldierGB;
		side=TGuerrila;
		displayName = $STR_DN_UAZG;

		nameSound="UAZ";
		accuracy=0.50;

		transportSoldier = 3;
		transportAmmo = 0;

		cost=25000;
		armor=20;
		model=guaz;
		picture=iuaz;
		weapons[]={};
		magazines[]={};
		typicalCargo[]={Soldier, SoldierLAW};
		threat[]={0.7, 0.7, 0.2};
		soundEngine[]={Vehicles\uazloop,db-30,1.25};
		
		driverAction=ManActUAZDriver;
		cargoAction[] =
		{
			ManActUazCoDriver,ManActCargo
		};
		cargoIsCoDriver[] = {true,false};

		// internal camera viewing limitations
		class ViewPilot: ViewPilotBase
		{
			initAngleX=10; 
		};
	};
	class SGUAZG: UAZG
	{
		//--
		vehicleClass="Support";
		displayName = $STR_DN_UAZG;
		model = sguaz;

		transportSoldier = 2;
		attendant = true;

		cargoAction[] =
		{
			ManActM113Injured, ManActCargo
		};
		cargoIsCoDriver[] = {false,false};
	};

	class SoldierGB: Soldier
	{
		//--
		// picture=ivojak;
		vehicleClass="Men";
		scope=public;
		model="MC vojakG2";
		hiddenSelections[] = {"medic"};
		moves=CfgMovesMC;
		displayName=$STR_DN_SOLDIER;
		side=TGuerrila;
		cost=10000;
		accuracy=0.7;
		weapons[]={AK47CZ, DefaultManWeapons};
		magazines[]=
		{
			AK47, AK47, AK47, AK47,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade
		};
	};
	class SoldierGMedic: SoldierGB
	{
		//--
		accuracy=1000; // never recognized
		// picture=imedic;
		picture=\misc\medik.paa;
		cost=60000;
		displayName=$STR_DN_MEDIC;
		weaponSlots = WeaponSlotPrimary + 4 * WeaponSlotItem + WeaponSlotBinocular + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;
		attendant = true;
		weapons[]={AK47CZ, DefaultManWeapons};
		magazines[]={AK47, AK47, AK47, AK47};
		nameSound="medic";
		hiddenSelections[] = {};
	};
	class SoldierGCrew: SoldierGB
	{
		//--
		nameSound="crew";
		accuracy=1000; // never recognize
		model="MC crewg.p3d";
		weapons[]={AK47CZ, NVGoggles, DefaultManWeapons};
		displayName=$STR_DN_CREW;
	};
	class SoldierGPilot: SoldierGB
	{
		//--
		nameSound="pilot";
		accuracy=1000; // never recognize
		model="MC vojakG3";
		weapons[]={AK47CZ, NVGoggles, DefaultManWeapons};
		displayName=$STR_DN_PILOT;
	};
	class SoldierGG: SoldierGB
	{
		//--
		displayName=$STR_DN_GRENADIER;
		cost=15000;
		accuracy=1000; // never recognize
		weapons[]={AK47GrenadeLauncher, DefaultManWeapons};	
		magazines[]={AK47, AK47, AK47, AK47, GrenadeLauncher, GrenadeLauncher, GrenadeLauncher};	
	};
	class SoldierGNOG: SoldierGB {scope=protected;};
	class SoldierG: SoldierGG {scope=protected;};
	class SoldierGMG: SoldierGB
	{
		//--
		//picture=ismg;
		nameSound="machineGunner";
		//model=pkg;
		displayName=$STR_DN_MGUNNER;
		cost=15000;
		model="MC vojakG3";
		accuracy=1.5;
		weapons[]={PK, DefaultManWeapons};	
		magazines[]=
		{
			PK, PK, PK, PK, PK
		};	
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.1, 0.8};
	};
	class SoldierGLAW: SoldierGB
	{
		//--
		//picture=islaw;
		nameSound="missileSoldier";
		displayName=$STR_DN_LAW_SOLDIER;
		model="MC vojakG2";
		cost=30000;
		accuracy=1.5;
		weapons[]={AK47CZ, RPGLauncher, DefaultManWeapons};	
		magazines[]={AK47, AK47, AK47, AK47, RPGLauncher, RPGLauncher, RPGLauncher};	
		nightVision=true;

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.9, 0.1};
	};
	class SoldierGAT: SoldierGLAW
	{
		//--
		//picture=isat;
		nameSound="missileSoldier";
		displayName=$STR_DN_AT4_SOLDIER;
		model="MC vojakG2";
		cost=30000;
		accuracy=1.5;
		weapons[]={AK47CZ, AT4Launcher, DefaultManWeapons};	
		magazines[]={AK47, AK47, AK47, AK47, AT4Launcher};	
		nightVision=true;

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.9, 0.1};
	};
	class SoldierGAA: SoldierGLAW
	{
		//--
		//picture=isaa;
		displayName=$STR_DN_AA_SOLDIER;
		nameSound="missileSoldier";
		accuracy=1.5;
		weapons[]={AK47CZ, 9K32Launcher, DefaultManWeapons};	
		magazines[]=
		{
			AK47, AK47, AK47, AK47,
			9K32Launcher
		};	

		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 0.5, 0.9};
	};
	class OfficerG: SoldierGB
	{
		//--
		nameSound="officer";
		scope=public;
		model = "mc vojakgo2.p3d";
		picture=\misc\frcky.paa;
		displayName=$STR_DN_OFFICER;
		accuracy=2.0;
		cost=500000;
		nightVision=true;
		weapons[]={AK47, Binocular, DefaultManWeapons};	
		magazines[]=
		{
			AK47, AK47, AK47, AK47,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade,
			SmokeShell, SmokeShell
		};	
	};
	class OfficerGNight: SoldierGB
	{
		//--
		nameSound="officer";
		scope=public;
		model = "mc vojakgo2.p3d";
		picture=\misc\frcky.paa;
		displayName=$STR_DN_OFFICERNIGHT;
		accuracy=2.0;
		cost=500000;
		nightVision=true;
		weapons[]={AK47GrenadeLauncher, Binocular, NVGoggles, DefaultManWeapons};	
		magazines[]=
		{
			AK47, AK47, AK47, AK47,
			HandGrenade, HandGrenade, HandGrenade,
			Flare, Flare, Flare
		};	
	};
	class SoldierGFakeE : SoldierEB
	{
		//--
		model="MC vojakE2";
		moves=CfgMovesMC;
		//picture=ivojak;
		vehicleClass="Men";
		scope=protected;
		side=TGuerrila;
		accuracy=2.0;
		displayName=$STR_DN_SOLDIERFAKE;
		weapons[]={AK74, DefaultManWeapons};
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade, HandGrenade
		};

		cost=40000;
	};
	class SoldierGFakeC : Civilian
	{
		//--
		//picture=ivojak;
		scope=protected;
		side=TGuerrila;
		accuracy=2.0;
		displayName=$STR_DN_CIVILFAKE;
		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 2 * WeaponSlotBinocular + 6 * WeaponSlotItem + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;

		weapons[]={AK74, DefaultManWeapons};
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			HandGrenade, HandGrenade
		};
		cost=40000;
	};
	class SoldierGFakeC2 : Civilian2
	{
		//--
		//picture=ivojak;
		scope=protected;
		side=TGuerrila;
		accuracy=2.0;
		displayName=$STR_DN_CIVILFAKE;
		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 2 * WeaponSlotBinocular + 6 * WeaponSlotItem + WeaponSlotHandGun + 4*WeaponSlotHandGunItem;
		weapons[]={AK74, DefaultManWeapons};
		magazines[]=
		{
			AK74, AK74, AK74, AK74,
			HandGrenade, HandGrenade
		};
		cost=40000;
	};
	class T55G: Tank
	{
		//--
		picture=it55;
		crew = SoldierGCrew;
		scope=public;
		side=TGuerrila;
		displayName=$STR_DN_T55;
		nameSound="t55";
		accuracy=0.70;

		maxSpeed = 50;

		armor=300;
		cost=150000;

		driverAction = ManActT55DriverOut;
		gunnerAction = ManActT55GunnerOut;
		commanderAction = ManActT55CommanderOut;

		driverInAction = ManActT55Driver;
		gunnerInAction = ManActT55Gunner;
		commanderInAction = ManActT55Commander;

	
		model=t55;
		weapons[]={Gun105,MachineGun7_6};
		magazines[]={Heat105,Shell105,MachineGun7_6};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={1, 1, 0.2};

		soundEnviron[]={Vehicles\OldRolling_Treads1,db-30,0.7};
		soundEngine[]={Vehicles\T55Sound,db-30,1};

		commanderOpticsModel = "optika_tanke_auxiliary";

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -270;
			min = 0;
			max = 100 / 3.6;
		};
		class IndicatorSpeed2
		{
			selection = "ukaz_rychlo2";
			axis = "osa_rychlo2";
			angle = -270;
			min = 0;
			max = 100 / 3.6;
		};
		class IndicatorRPM
		{
			selection = "ukaz_rpm";
			axis = "osa_rpm";
			angle = -290;
			min = 0;
			max = 1;
		};
	};

	// STATIC BUILDINGS
	class Static: All
	{
		//-- static object or building
		reversed=false; // all vehicles are reversed - except static

		hasDriver=false;
		
		icon="Unknown_object";

		displayName=$STR_DN_UNKNOWN;
		nameSound="target";
		accuracy=0.005;
		simulation="house";

		cost=0;

		picture="ivojak"; // TODO: use actual building pictures instead
		weapons[]={};
		magazines[]={};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};
		maxSpeed=0; // cannot move

		coefInside = 2;
		coefInsideHeur = 4.3;
	};

	class Fortress: Static
	{
		displayName=$STR_DN_BUNKER;
		nameSound="Bunker";
		armor=1000;
		cost=1000000;

		accuracy=0.20;
	};

	class Building: Static
	{
		displayName=$STR_DN_BUILDING;
		nameSound="building";
		armor=150;

		accuracy=0.10;
	};


	class NonStrategic : Building
	{
		side=TCivilian;
		ladders[]={};
	};
	class Strategic : Building
	{
		side=TCivilian;
		armor=250;
		ladders[]={};
	};

	// THINGS
	/*
	class Thing: Strategic
	{
	};
	*/
	/**/
	class Thing: All
	{
		reversed=false; // all vehicles are reversed - except static
		animated=false;
		
		icon="Unknown_object";
		vehicleClass="Objects";

		displayName=$STR_DN_UNKNOWN;
		nameSound="target";
		accuracy=0.005;
		simulation="thing";
		side=TCivilian;

		submerged = 0; // normal things have no submersion
		submergeSpeed = 0;
		timeToLive = 1e10; // infinite time to live
		disappearAtContact = false;
		hasDriver=false;

		picture="ivojak"; // TODO: use actual building pictures instead
		weapons[]={};
		magazines[]={};

		type=VArmor;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.0, 0.0, 0.0};
		maxSpeed=0; // cannot move
	};

	class ThingEffect: Thing
	{
		scope=protected; // protected when finished

		simulation="thingeffect";
		irTarget = false;

		submerged = -0.5; // initial submersion, <0 inital delaty
		submergeSpeed = 0.25;
		timeToLive = 20; // always disappear after certain period of time
	};
	class FxExploGround1: ThingEffect
	{
		model = "sutr2";
		displayName=$STR_DN_FX_EXPLO_GROUND_1;
	};
	class FxExploGround2: ThingEffect
	{
		model = "sutr3";
		displayName=$STR_DN_FX_EXPLO_GROUND_2;
	};

	class FxExploArmor1: ThingEffect
	{
		model = "kusplechu";
		displayName="Internal: FxExploArmor1";
	};
	class FxExploArmor2: ThingEffect
	{
		model = "kusplechu2";
		displayName="Internal: FxExploArmor2";
	};
	class FxExploArmor3: ThingEffect
	{
		model = "ohorelavec";
		displayName="Internal: FxExploArmor3";
	};
	class FxExploArmor4: ThingEffect
	{
		model = "strepina";
		displayName="Internal: FxExploArmor4";
	};

	class FxCartridge: ThingEffect
	{
		model = "nabojnice";
		displayName=$STR_DN_FX_CARTRIDGE;

		submerged = -0; // initial submersion, <0 inital delaty
		submergeSpeed = 0;
		timeToLive = 5; // always disappear after certain period of time

		disappearAtContact=true;
	};
	/**/

	class ReammoBox: Strategic
	{			
		//--
		animated = false;
		scope=protected;
		//scope=public;

		vehicleClass="Ammo";
		icon="Ammo_move";
		model = "hromada_beden";
		displayName=$STR_DN_AMMO_CRATES;
		accuracy=0.20;
		typicalCargo[]={};

		destrType=DestructEngine;

		class TransportMagazines
		{
			// generic ammo for all sides
			mag_xx(M16,100);
			mag_xx(AK47,100);
			mag_xx(AK74,100);
			mag_xx(M60,50);
			mag_xx(HandGrenade,30);
			mag_xx(M21,50);
			mag_xx(LAWLauncher,4);
			mag_xx(RPGLauncher,4);
			mag_xx(GrenadeLauncher,20);
		};
		transportMaxWeapons = 500;
		transportMaxMagazines = 2000;

		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;

		cost=0;
		armor=200;
		mapSize = 2.6;
	};
	class ReammoBoxWest: ReammoBox
	{
		//--
		scope = public;
		accuracy = 1000;
		displayName=$STR_DN_AMMO_CRATES_WEST;
		DefaultWestMagazines(1)
	};
	class ReammoBoxEast: ReammoBox
	{
		//--
		scope = public;
		accuracy = 1000;
		displayName=$STR_DN_AMMO_CRATES_EAST;
		DefaultEastMagazines(1)
	};
	class ReammoBoxGuer: ReammoBox
	{
		//--
		scope = public;
		accuracy = 1000;
		displayName=$STR_DN_AMMO_CRATES_RES;
		DefaultGuerMagazines(1)
	};

	class WeaponHolder : ReammoBox
	{
		scope = protected;
		model = "\misc\dummyweapon.p3d";
		accuracy = 0.20;
		class TransportMagazines
		{
		};
		forceSupply = true;
		showWeaponCargo = true;
		transportMaxMagazines = 1e9;	// unlimited
		transportMaxWeapons = 1e9;	// unlimited
		displayName=;
	};
	class SecondaryWeaponHolder : WeaponHolder
	{
		model = "\misc\dummyweapon2.p3d";
	};

	class HeavyReammoBox: Strategic
	{			
		//--
		animated = false;
		scope = protected;

		vehicleClass="Ammo";
		icon="Ammo_move";
		model = "bedna_ammo";
		displayName=$STR_DN_AMMO_CRATES_WEST2;
		accuracy=1000;
		typicalCargo[]={};

		destrType=DestructEngine;

		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;
		cost=0;
		armor=200;
		mapSize = 2.6;

		transportMaxWeapons = 500;
		transportMaxMagazines = 2000;
	};

	class HeavyReammoBoxWest: HeavyReammoBox
	{
		//--
		scope = public;
		accuracy = 1000;
		displayName=$STR_DN_AMMO_CRATES_WEST2;
		class TransportMagazines
		{
			class M16
			{
				magazine = M16;
				count = 20;
			};
			class HandGrenade
			{
				magazine = HandGrenade;
				count = 10;
			};
			class GrenadeLauncher
			{
				magazine = GrenadeLauncher;
				count = 10;
			};
			class LAWLauncher
			{
				magazine = LAWLauncher;
				count = 8;
			};
			class AALauncher
			{
				magazine = AALauncher;
				count = 3;
			};
			class Mortar
			{
				magazine = Mortar;
				count = 6;
			};
			class PipeBomb
			{
				magazine = PipeBomb;
				count = 6;
			};
			class Mine
			{
				magazine = Mine;
				count = 6;
			};
			class CarlGustavLauncher
			{
				magazine = CarlGustavLauncher;
				count = 3;
			};
		};
	};
	class HeavyReammoBoxEast: HeavyReammoBox
	{
		//--
		scope = public;
		accuracy = 1000;
		displayName=$STR_DN_AMMO_CRATES_EAST2;
		class TransportMagazines
		{
			class AK74
			{
				magazine = AK74;
				count = 20;
			};
			class HandGrenade
			{
				magazine = HandGrenade;
				count = 10;
			};
			class GrenadeLauncher
			{
				magazine = GrenadeLauncher;
				count = 10;
			};
			class RPGLauncher
			{
				magazine = RPGLauncher;
				count = 8;
			};
			class 9K32Launcher
			{
				magazine = 9K32Launcher;
				count = 3;
			};
			class PipeBomb
			{
				magazine = PipeBomb;
				count = 6;
			};
			class Mine
			{
				magazine = Mine;
				count = 6;
			};
			class AT4Launcher
			{
				magazine = AT4Launcher;
				count = 3;
			};

		};
	};
	class HeavyReammoBoxRes: HeavyReammoBox
	{
		//--
		scope = public;
		accuracy = 1000;
		displayName=$STR_DN_AMMO_CRATES_RES2;
		class TransportMagazines
		{
			class AK47
			{
				magazine = AK47;
				count = 20;
			};
			class HandGrenade
			{
				magazine = HandGrenade;
				count = 10;
			};
			class GrenadeLauncher
			{
				magazine = GrenadeLauncher;
				count = 10;
			};
			class RPGLauncher
			{
				magazine = RPGLauncher;
				count = 8;
			};
			class 9K32Launcher
			{
				magazine = 9K32Launcher;
				count = 3;
			};
			class PipeBomb
			{
				magazine = PipeBomb;
				count = 6;
			};
			class Mine
			{
				magazine = Mine;
				count = 6;
			};
			class AT4Launcher
			{
				magazine = AT4Launcher;
				count = 3;
			};

		};
	};


	class MachineGunBox: Strategic
	{			
		//--
		animated = false;
		scope=protected;

		vehicleClass="Ammo";
		icon="Ammo_move";
		model = "hromada_beden";
		displayName=$STR_DN_MACHINE_GUN;
		accuracy=0.20;
		typicalCargo[]={};

		destrType=DestructEngine;

		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;
		class TransportWeapons
		{
			class MachineGun
			{
				weapon = M60;
				count = 1;
			};
		};
		class TransportMagazines
		{
			class MachineGun
			{
				magazine = M60;
				count = 3;
			};
		};
		transportMaxWeapons = 1;
		transportMaxMagazines = 3;

		cost=0;
		armor=20;
		mapSize = 2.6;
	};

	class FlagCarrier : Strategic
	{
		//--
		scope = public;
		vehicleClass="Objects";
		icon="vlajka";
		displayName=$STR_DN_FLAG;
		simulation="flagcarrier";
		model = "vlajkstozar.p3d";

		mapSize = 5;
	};
	class Danger: FlagCarrier
	{
		//--
		model = "Danger!.p3d";
		displayName=$STR_DN_DANGER;
		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}


	class Fire: NonStrategic
	{			
		//--
		scope = public;

		simulation="fire";
		sound = "Fire";
		vehicleClass="Objects";
		icon="Unknown_object";
		model = "ohniste";
		displayName=$STR_DN_FIRE;
		accuracy=0.20;
		typicalCargo[]={};

		mapSize = 1.2;

		cost=0;
		armor=20;

		class Smoke // : FlameSpectrum
		{
			interval = 0.01;
			// single cloudlet parameters
			cloudletDuration = 0.9; // time to live (not including fades)
			cloudletAnimPeriod = 1.0; // animation speed
			cloudletSize = 0.1;
			cloudletAlpha = 0.8;
			cloudletGrowUp = 0.4; // grow-up time
			cloudletFadeIn = 0.0; // fade-in time
			cloudletFadeOut = 5.0; // fade-out time
			cloudletAccY = -0.1; // vertical acceleration
			cloudletMinYSpeed = 0.3; // vertical speed range
			cloudletMaxYSpeed = 1.5;
			cloudletShape = "cl_basic";
			cloudletColor[] = {1, 1, 1, 0};
			initT = 1000;
			deltaT = -500;
			class Table
			{
				class T1 {maxT = 0; color[] = {0.8, 0.8, 0.8, 1};}
				class T2 {maxT = 900; color[] = {0.3, 0.3, 0.3, 1};}
				class T3 {maxT = 1000; color[] = {1, 0.5, 0, 0.5};}
			};
/*
			initT = 2200;
			deltaT = -4000;
*/
			// source parameters
			density = 0.5;
			size = 0.1;
			initYSpeed = 1.7;
			timeToLive = 1e20; // time to live (not including fades)
			in = 0.0; // fade-in time
			out = 0.0; // fade-out time
		};

		class Light
		{
			color[] = {1.0, 0.5, 0.0, 1.0};
			ambient[] = {0.3, 0.15, 0.0, 1.0};
			brightness = 0.08;
			shape = "koulesvetlo";
			size = 0.3;
			position = "ohniste";
		};
	};

	class Target: Strategic
	{			
		//--
		scope = public;

		destrType=DestructTree;
		side = TCivilian;
		icon="Unknown_object";
		model = "terc";
		accuracy=0.20;

		cost=0;
		armor=10;
	};

	class TargetE : Target
	{
		//--
		scope = public;
		vehicleClass = "Objects";
		displayName = $STR_DN_TARGET_EAST;
		//side = TEast;
		accuracy = 1000;
		mapSize = 0.8;
	};


	class Camp: Strategic
	{
		//--
		scope = public;

		vehicleClass="Objects";
		icon="Unknown_object";
		model = "stan";
		displayName=$STR_DN_TENT;
		accuracy=0.20;
		typicalCargo[]={};
		destrType=DestructTent;

		irTarget = false;

		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;

		cost=0;
		armor=20;
		mapSize = 6.4;
	};
	class Cube: Camp
	{
		scope = protected;
		model = "krychlicka";
		displayName = $STR_DN_DEBUG_CUBE;
	};
	class Fortress1: Strategic
	{
		//--
		scope = public;

		vehicleClass="Objects";
		icon="Unknown_object";
		model = "fortress1";
		displayName=$STR_DN_FORTRESS_1;
		accuracy=0.20;
		typicalCargo[]={};
		destrType=DestructBuilding;

		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;

		mapSize = 11;
		cost=0;
		armor=800;
	};
	class Fortress2: Fortress1
	{
		//--
		model = "fortress2";
		displayName = $STR_DN_FORTRESS_2;
	}

	class CampEmpty: Camp
	{			
		//--
		scope = public;

		model = "stan_inside";
		displayName=$STR_DN_TENT_OPEN;
		accuracy=1000; // never recognize
	};
	class CampEast: Camp
	{			
		//--
		scope = public;

		model = "stan_east";
		displayName=$STR_DN_TENT_EAST;
		accuracy=1000; // never recognize
	};
	class CampEastC: Camp
	{			
		//--
		scope = public;

		model = "stan_eastC";
		displayName=$STR_DN_TENT_EAST_C;
		accuracy=1000; // never recognize
	};
	class Grave: Camp
	{			
		//--
		scope = public;

		model = "hrobecek.p3d";
		displayName=$STR_DN_GRAVE;
		accuracy=1000; // never recognize
	};
	class GraveCross1: Camp
	{			
		//--
		scope = public;

		model = "hrobecek_krizek1.p3d";
		displayName=$STR_DN_GRAVE_CROSS_1;
		accuracy=1000; // never recognize
	};
	class GraveCross2: Camp
	{			
		//--
		scope = public;

		model = "hrobecek_krizek2.p3d";
		displayName=$STR_DN_GRAVE_CROSS_2;
		accuracy=1000; // never recognize
	};
	class GraveCrossHelmet: Camp
	{			
		//--
		scope = public;

		model = "hrobecek_krizekhelma.p3d";
		displayName=$STR_DN_GRAVE_CROSS_HELMET;
		accuracy=1000; // never recognize
	};

	class ACamp: Camp
	{			
		//--
		scope = public;

		model = "astan";
		displayName=$STR_DN_TENT_A;
		accuracy=1000; // never recognize
		mapSize = 2.6;
	};
	class MASH: Camp
	{			
		//--
		scope = public;

		model = "mash";
		displayName=$STR_DN_MASH;
		accuracy=0.3

		attendant = true; // medical
		mapSize = 6.4;
	};

	class Fence: NonStrategic
	{			
		//--
		scope = public;

		vehicleClass="Objects";
		icon="Unknown_object";
		model = "pytle_BSL";
		displayName=$STR_DN_FENCE;
		accuracy=0.20;
		typicalCargo[]={};

		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;

		cost=0;
		armor=200;
		mapSize = 3.3;
	};

	class FenceWood : Fence
	{
		//--
		model = "pytle";
		displayName=$STR_DN_FENCE_WOOD;

		mapSize = 2.4;
		accuracy=1000; // never recognize
	};

	class Wire: Fence
	{			
		//--
		scope = public;

		model = "Barbedwire.p3d";
		displayName=$STR_DN_WIRE;
		accuracy=0.3
		mapSize = 5.5;
	};
	class WireFence: Fence
	{			
		//--
		scope = public;

		model = "plot_provizorni.p3d";
		displayName=$STR_DN_FENCE_WIRE;
		accuracy=0.3
		mapSize = 5.5;
	};

	/*!
	\patch 1.53 Date 4/26/2002 by Ondra
	- Fixed: Barrel destruction effect type changed.
	*/

	class BarrelHelper: Thing
	{
		scope = private;
		simulation="thing"

		mapSize = 0.7;

		displayName=$STR_DN_BARREL;
		accuracy=0.2;
		transportFuel = 100;
		destrType=DestructEngine;
	}
	class BarrelBase: BarrelHelper
	{
		accuracy=1000; // never recognize
		armor=100;
		cost=0;
	};

	class Barrels: BarrelBase
	{			
		//--
		scope = public;
		model = "Barels.p3d";
		displayName=$STR_DN_BARRELS;
		transportFuel = 400;
	};
	class Barrel1: BarrelBase
	{			
		//--
		scope = public;
		model = "Barel1.p3d";
		displayName=$STR_DN_BARREL_RED;
	};
	class Barrel2: BarrelBase
	{			
		//--
		scope = public;
		model = "Barel2.p3d";
		displayName=$STR_DN_BARREL_BROWN;
	};
	class Barrel3: BarrelBase
	{			
		//--
		scope = public;
		model = "Barel4.p3d";
		displayName=$STR_DN_BARREL_WHITE;
	};
	class Barrel4: BarrelBase
	{			
		//--
		scope = public;
		model = "Barel3.p3d";
		displayName=$STR_DN_BARREL_WHITE;
	};
	class Table: Thing
	{
		//--
		scope = public;
		simulation="thing"

		model = "stulsuplik_proxy.p3d";
		displayName=$STR_DN_TABLE;
		transportFuel = 0;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
		cost=0;
	}

	class Tablemap: Table
	{
		//--
		scope = public;
		simulation="thing"

		model = "stulsuplikmapa.p3d";
		displayName=$STR_DN_TABLEMAP;
		transportFuel = 0;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}

	class Chair: Table
	{
		//--
		model = "Zidle.p3d";
		displayName=$STR_DN_CHAIR;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	
	class Phone: Table
	{
		//--
		model = "hangar_telefon.p3d";
		displayName=$STR_DN_PHONEHANG;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	
	class PhoneBase: Table
	{
		scope=protected;
		model = "hangar_telefon_bez.p3d";
		displayName=$STR_DN_PHONEBASE;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	class Camera1: Table
	{
		//--
		model = "betacam.p3d";
		displayName=$STR_DN_CAMERA;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	class Computer: Table
	{
		//--
		model = "PC.p3d";
		displayName=$STR_DN_COMPUTER;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}

	class ChairHangar: Table
	{
		//--
		model = "Hangar_zidle.p3d";
		displayName=$STR_DN_CHAIR_HANGAR;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	class ChairX: Table
	{
		//--
		model = "zidle_x.p3d";
		displayName=$STR_DN_CHAIR_X;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	class VideoTable: Table
	{
		//--
		model = "televizesvideem.p3d";
		displayName=$STR_DN_VIDEO;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	class TablePub: Table
	{
		//--
		model = "stul_hospodax.p3d";
		displayName=$STR_DN_TABLE_PUB;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	class Radio: Table
	{
		//--
		model = "radio.p3d";
		displayName=$STR_DN_RADIO;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
	class ChairSmall: Table
	{
		//--
		model = "Zidlicka.p3d";
		displayName=$STR_DN_CHAIR_SMALL;

		mapSize = 0.7;
		accuracy=0.2;
		destrType=DestructBuilding;
	}
/*
	class TestObject1: BarrelBase
	{
		scope = public;
		model = "trojnozka.p3d";
		displayName=$STR_DN_TRIPOD;
	};
	class TestObject2: BarrelBase
	{
		scope = public;
		model = "podlozka.p3d";
		displayName=$STR_DN_REST;
		simulation = "house";
		coefInside = 1;
		coefInsideHeur = 1;

	};
	class TestObject3: BarrelBase
	{
		scope = public;
		model = "micuda.p3d";
		displayName=$STR_DN_BALL;
		coefInside = 1;
		coefInsideHeur = 1;
	};

*/
	class TestObject4: BarrelBase
	{
		scope = protected;
		model = "koule_10000.p3d";
		displayName=$STR_DN_SPHERE_10000;
		coefInside = 1;
		coefInsideHeur = 1;
	};

	/*
	class D: BarrelBase
	{			
		scope = public;

		mapSize = 0.7;
		model = "Barels.p3d";
		displayName="Barels";
		accuracy=0.3
		transportFuel = 100;
		destrType=DestructBuilding;
	};
	*/


	class Crawling: Camp
	{			
		//--
		scope = public;

		irTarget = false;
		mapSize = 0.7;
		model = "podlejzacka.p3d";
		displayName=$STR_DN_CRAWLING;
		accuracy=0.3
		transportFuel = 0;
		destrType=DestructBuilding;

		coefInside = 0.5;
		coefInsideHeur = 0.8;
	};
	class ExcerciseTrack: Crawling
	{
		//--
		displayName=$STR_DN_TRAINING_2;
		model = "prolejzacka.p3d";
	};
	class ExcerciseTrack2: Crawling
	{
		//--
		displayName=$STR_DN_TRAINING_3;
		model = "prebehlavka.p3d";
	};
	class ExcerciseTrack3: Crawling
	{
		//--
		displayName=$STR_DN_TRAINING_4;
		model = "obihacka.p3d";
	};

	class PaletaHelper: BarrelHelper
	{
		mapSize = 0.7;
		displayName=$STR_DN_PALLET;
		accuracy=0.2;
		transportFuel = 0;
		irTarget = false;
	};
	class PaletaBase: PaletaHelper
	{
		accuracy=1000;
		cost=0;
	};

	class Paleta1: PaletaBase
	{			
		//--
		scope = public;
		model = "PaletaA.p3d";
		displayName=$STR_DN_PALLET_A;
	};
	
	class Paleta2: PaletaBase
	{			
		//--
		scope = public;
		model = "PaletyC.p3d";
		displayName=$STR_DN_PALLETS_C;
	};



	class JeepWreck1: Camp
	{			
		//--
		scope = public;
		mapSize = 0.7;
		model = "JeepT.p3d";
		displayName=$STR_DN_JEEP_WRECK_1;
		accuracy=0.3
		transportFuel = 0;
		destrType=DestructEngine;
	};
	class JeepWreck2: Camp
	{			
		//--
		scope = public;
		mapSize = 0.7;
		model = "JeepT_horeznacky.p3d";
		displayName=$STR_DN_JEEP_WRECK_2;
		accuracy=0.3
		transportFuel = 0;
		destrType=DestructEngine;
	};
	class JeepWreck3: Camp
	{			
		//--
		scope = public;
		mapSize = 0.7;
		model = "JeepT_Tanker.p3d";
		displayName=$STR_DN_JEEP_WRECK_3;
		accuracy=0.3
		transportFuel = 0;
		destrType=DestructEngine;
	};
	class M113Wreck: Camp
	{			
		//--
		scope = public;
		mapSize = 0.7;
		model = "M113T.p3d";
		displayName=$STR_DN_M113_WRECK;
		accuracy=0.3;
		transportFuel = 0;
		destrType=DestructEngine;
	};
	class UralWreck: Camp
	{			
		//--
		scope = public;
		mapSize = 0.7;
		model = "UralT.p3d";
		displayName=$STR_DN_URAL_WRECK;
		accuracy=0.3;
		transportFuel = 0;
		destrType=DestructEngine;
	};
	class Body: Camp
	{			
		//--
		scope = public;
		mapSize = 0.7;
		model = "Mrtvola_Army1.p3d";
		displayName=$STR_DN_BODY;
		accuracy=0.3;
		transportFuel = 0;
		destrType=DestructEngine;
	};




	class Shed: Strategic
	{			
		//--
		scope = public;

		vehicleClass="Objects";
		icon="Unknown_object";
		model = "pristresek";
		displayName=$STR_DN_SHED;
		accuracy=0.20;
		typicalCargo[]={};

		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;

		mapSize = 9.8;

		cost=0;
		armor=200;
	};

	class Office: Shed
	{
		//--
		scope=protected;
		side = TCivilian;
		vehicleClass="Objects";
		icon="Unknown_object";
		model = "office";
		displayName=$STR_DN_OFFICE;
		simulation="house";
		mapSize = 7.2;
	};

	class Barracks: Shed
	{
		//--
		scope=protected;
		side = TCivilian;
		vehicleClass="Objects";
		icon="Unknown_object";
		model = "budova4_in";
		displayName=$STR_DN_BARRACKS;
		simulation="house";
		mapSize = 15.4;
	};
	class Hangar: Shed
	{
		//--
		scope=protected;
		side = TCivilian;
		vehicleClass="Objects";
		icon="Unknown_object";
		model = "hangar_in";
		displayName=$STR_DN_HANGAR;
		simulation="house";
		mapSize = 27;
	};
	class Hangar_Hall: Shed
	{
		//--
		scope=protected;
		side = TCivilian;
		vehicleClass="Objects";
		icon="Unknown_object";
		model = "HANGAR";
		displayName=$STR_DN_HANGAR_HALL;
		simulation="house";
		mapSize = 25;
	};
	class Hangar_Office: Shed
	{
		//--
		scope=protected;
		side = TCivilian;
		vehicleClass="Objects";
		icon="Unknown_object";
		model = "HANGAR_kancl";
		displayName=$STR_DN_HANGAR_OFFICE;
		simulation="house";
		mapSize = 6;
	};


	class ShedSmall : Shed
	{
		//--
		model = "pristresek_mensi";
		displayName=$STR_DN_SHED_SMALL;
		mapSize = 4.3;

		accuracy=1000; // never recognize
	};



	class Fountain: NonStrategic
	{
		animated=false;
		scope = public;

		model = "kasna";
		displayName=$STR_DN_FOUNTAIN;
		simulation = fountain;
		sound = "Fountain";

		animPeriod = 1.33;
		cost=0;
	};
	
	class House: NonStrategic
	{
		animated=false;
		scope=protected;
		model="";
		displayName=$STR_DN_HOUSE;
		nameSound="house";
		accuracy=0.20;
		cost=0;
		ladders[]={}; // default no ladder
	};
	//class House001: House {scope=protected;model="dum_mesto2";};

	#define BUILDING(x) class House##x: House {scope=protected;model=#x;}

	BUILDING(ryb_domek)
	BUILDING(majak)
	BUILDING(plechbud)
	BUILDING(deutshe_mini)
	BUILDING(bouda2_vnitrek)
	BUILDING(deutshe)
	BUILDING(dum_mesto)
	BUILDING(dum_mesto2)
	BUILDING(dum_rasovna)
	BUILDING(bouda2)
	BUILDING(bouda3)
	BUILDING(dumruina_mini)
	BUILDING(dum_mesto3)
	BUILDING(stodola_open)
	BUILDING(statek_kulna)
	BUILDING(dum_mesto2l)
	BUILDING(cihlovej_dum_mini)
	BUILDING(budova5)
	BUILDING(dumruina)
	BUILDING(dum01)
	BUILDING(cihlovej_dum)
	BUILDING(cihlovej_dum_in)
	BUILDING(budova1)
	BUILDING(budova3)
	BUILDING(budova4)
	BUILDING(budova2)
	BUILDING(garaz)
	BUILDING(garaz_bez_tanku)
	BUILDING(garaz_s_tankem)
	BUILDING(repair_center)

	BUILDING(dum02)
	BUILDING(afdum_mesto2)

	BUILDING(hospoda_mesto)
	BUILDING(stanice)
	BUILDING(dum_m2)
	BUILDING(bouda1)
	BUILDING(stodola)
	BUILDING(statek_hl_bud)
	BUILDING(hospital)
	BUILDING(mesto_dum)
	BUILDING(dum_rasovna_in)
	BUILDING(helfenburk)
	BUILDING(dum_olezlina)
	BUILDING(afdum_mesto3)
	BUILDING(afhospoda_mesto)
	BUILDING(dulni_bs)
	BUILDING(kostel_trosky)
	BUILDING(afdum_mesto2l)
	BUILDING(dum_mesto_in)
	BUILDING(afbarabizna)

	class Househruzdum: House
	{
		scope=protected;
		model="hruzdum";
		ladders[]={{"start","end"}}; // default no ladder
	};

	class Houseammostore2: House
	{
		scope=protected;
		model="ammostore2";
		ladders[]={{"start","end"},{"start1","end1"}}; // default no ladder
	};
	
	class ViewTower: House
	{
		scope=protected;
		model="hlaska";
		ladders[]={{"start","end"}}; // default no ladder
	};
	class ViewTower2: House
	{
		scope=protected;
		model="vez";
		ladders[]={{"start","end"}}; // default no ladder
	};

	class Forest: NonStrategic
	{
		scope=protected;
		model="";
		displayName=$STR_DN_FOREST;
		nameSound="forest";
		simulation=forest;
		accuracy=0.20;
		cost=5000;

		//coefInside = 1.0;
		//coefInside = 0.5;
		coefInside = 1;
		coefInsideHeur = 0.25;
	};
	class ForestSkewed: Forest {animated=false;}

	class Forest001: Forest {model="les ctverec pruchozi";};
	class Forest001T1: ForestSkewed {model="les ctverec pruchozi_T1";};
	class Forest001T2: ForestSkewed {model="les ctverec pruchozi_T2";};

	class Forest002: Forest {model="les trojuhelnik pruchozi";};

	class Forest003: Forest {model="les_su_ctver_pruhozi";};
	class Forest003T1: ForestSkewed {model="les_su_ctver_pruhozi_T1";};
	class Forest003T2: ForestSkewed {model="les_su_ctver_pruhozi_T2";};

	class Forest004: Forest {model="les_su_trojuhelnik";};

	class HeliH : NonStrategic
	{
		//--
		scope = public;
		model = "Heli_H";
		displayName=$STR_DN_HELI_H;
		vehicleClass="Objects";
		icon="Unknown_object";
		nameSound="helipad";

		accuracy=0.20;

		typicalCargo[]={};
		transportAmmo = 0;
		transportRepair = 0;
		transportFuel = 0;

		mapSize = 9.8;

		cost=0;
		armor=200;
	};
	class HeliHEmpty : HeliH
	{
		//--
		model = "empty";
		displayName=$STR_DN_HELI_H_EMPTY;
		nameSound="";
	};

	class FpLogo: Fence
	{
		scope = protected;
		model = "logofpfull.p3d";
		displayName=$STR_DN_OF_LOGO;
		nameSound="";
	};

	
	class TargetTraining : NonStrategic
	{
		//--
		nameSound="target";
		model="terc";
		side=TCivilian;
		armor=15;
		cost=0;
		scope=public;
		displayName=$STR_DN_TARGET;
		accuracy=0.25;
	};
	class TargetGrenade : TargetTraining
	{
		//--
		vehicleClass="Objects";
		nameSound="target";
		model="drevtank";
		side=TCivilian;
		armor=60;
		cost=0;
		scope=public;
		displayName=$STR_DN_ARMORED_TARGET;
		accuracy = 1000;
	};
	class Church: NonStrategic
	{
		scope=protected;
		displayName=$STR_DN_CHURCH;
		accuracy=0.25;
		simulation="church";
	};

	class Church001: Church
	{
		scope=public;model="kostel";
		ladders[]={{"start","end"}}; // default no ladder
	};
	class Church002: Church {scope=public;model="kostel2";};
	class Church003: Church {scope=public;model="kostel3";};
	
	class Chapel: NonStrategic
	{
		scope=public;
		displayName=$STR_DN_CHAPEL;
		accuracy=0.25;
	};

	class Chapel001: Chapel {model="kostelik";};

	/*
	class Objective : Strategic
	{
		displayName=$STR_DN_OBJECTIVE;
		accuracy=0.25;

		icon="vlajka";
		simulation="flag";

		scope=public;
		cost=200000;
		armor=500000;

		side=TSideUnknown;
	};

	class PrimaryObjective: Objective
	{
		scope=public;
		model="podprapornik_big";
		displayName=$STR_DN_PRIMARY_OBJECTIVE;
		accuracy=0.50;
		nameSound="primaryObjective";
	};
	class SecondaryObjective: Objective
	{
		scope=public;
		model="podprapornik";
		displayName=$STR_DN_SECONDARY_OBJECTIVE;
		accuracy=0.50;
		nameSound="secondaryObjective";
	};
	*/

	/*
	class Hospital: Strategic
	{
		icon="Ambulance_object";

		scope=public;
		model="hospital";
		displayName=$STR_DN_HOSPITAL;
		nameSound="hospital";
		accuracy=0.50;

		attendant = true;
	};
	*/

	class FuelStation: Strategic
	{
		//-- fuel station building
		icon="Fuel_object";

		scope=public;
		cost=0;		// changed from 2000000
		armor=50;
		model="fuelstation";
		displayName=$STR_DN_FUEL_STATION;
		nameSound="fuelstation";
		accuracy=0.50;

		transportFuel = 50000;
		destrType=DestructEngine;
	};
	class FuelStationNew: FuelStation
	{
		armor=100;
		model="fuelstation_new";
		displayName=$STR_DN_FUEL_STATION_2;
		accuracy=1000;
	};
	class FuelStationNew2: FuelStation
	{
		armor=100;
		model="fuelstation_army";
		displayName=$STR_DN_FUEL_STATION_3;
		accuracy=1000;
	};

	/*
	class Depot: Strategic
	{
		cost=20000000;
		displayName=$STR_DN_DEPOT;
		nameSound="depot"
		accuracy=0.50;
		transportFuel = 0;
		transportSoldier = 0;
		transportInfantryAmmo = 5000;
		transportAmmo = 5000;
		transportRepair = 5000;
	};
	class AmmoDepot: Depot
	{
		icon="Ammo_object";

		scope=public;
		displayName=$STR_DN_AMMO_DEPOT;
		model="bouda3.p3d";
		accuracy=0.70;
		transportFuel = 0;
		transportSoldier = 0;
		transportInfantryAmmo = 10000;
		transportAmmo = 100000;
		transportRepair = 0;
		nameSound="depot";
		destrType=DestructEngine;
	};
	class RepairDepot: Depot
	{
		icon="Repair_object";

		scope=public;
		model="garaz.p3d";
		displayName=$STR_DN_REPAIR_DEPOT;
		accuracy=0.70;
		transportFuel = 0;
		transportSoldier = 0;
		transportInfantryAmmo = 0;
		transportAmmo = 0;
		transportRepair = 300000;
		nameSound="depot";
	};
	*/

	// sound sources
	class Sound
	{
		scope=private;
		side = -1;
		vehicleClass = Sounds;
		icon = vlajka;
		mapSize = 10;
	};
	class Owl : Sound
	{
		scope = public;
		sound = OwlSfx;
		displayName = $STR_DN_OWL;
	};
	class Stream : Sound
	{
		scope = public;
		sound = StreamSfx;
		displayName = $STR_DN_STREAM;
	};
	class Frog : Sound
	{
		scope = public;
		sound = FrogSfx;
		displayName = $STR_DN_FROG;
	};
	class Frogs : Sound
	{
		scope = public;
		sound = FrogsSfx;
		displayName = $STR_DN_FROGS;
	};
	class Alarm : Sound
	{
		scope = public;
		sound = AlarmSfx;
		displayName = $STR_DN_ALARM;
	};
	class BirdSinging: Sound
	{
		scope = public;
		sound = BirdSingingSfx;
		displayName = $STR_DN_BIRDSING;
	};
	class Crickets1: Sound
	{
		scope = public;
		sound = Cricket1Sfx;
		displayName = $STR_DN_CRICKET1;
	};
	class Crickets2: Sound
	{
		scope = public;
		sound = Cricket2Sfx;
		displayName = $STR_DN_CRICKET2;
	};
	class Crickets3: Sound
	{
		scope = public;
		sound = Cricket3Sfx;
		displayName = $STR_DN_CRICKET3;
	};
	class Crickets4: Sound
	{
		scope = public;
		sound = CricketSfx;
		displayName = $STR_DN_CRICKET4;
	};
	class Chicken: Sound
	{
		scope = public;
		sound = ChickenSfx;
		displayName = $STR_DN_CHICKEN;
	};
	class Cock: Sound
	{
		scope = public;
		sound = CockSfx;
		displayName = $STR_DN_COCK;
	};
	class Cow: Sound
	{
		scope = public;
		sound = CowSfx;
		displayName = $STR_DN_COW;
	};
	class Crow: Sound
	{
		scope = public;
		sound = CrowSfx;
		displayName = $STR_DN_CROW;
	};
	class Wolf: Sound
	{
		scope = public;
		sound = WolfSfx;
		displayName = $STR_DN_WOLF;
	};

	class Dog: Sound
	{
		scope = public;
		sound = DogSfx;
		displayName = $STR_DN_DOG;
	};
	class BadDog: Sound
	{
		scope = public;
		sound = BadDogSfx;
		displayName = $STR_DN_BAD_DOG;
	};
	class SorrowDog: Sound
	{
		scope = public;
		sound = SorrowDogSfx;
		displayName = $STR_DN_SORROW_DOG;
	};
	class LittleDog: Sound
	{
		scope = public;
		sound = LittleDogSfx;
		displayName = $STR_DN_LITTLE_DOG;
	};
	class Music: Sound
	{
		scope = public;
		sound = FunMusicSfx;
		displayName = $STR_DN_MUSIC;
	};

	class MineGeneric
	{
		scope=private;
		side = -1;
		vehicleClass = Mines;
		icon = unknown_object;
		mapSize = 10;
	};
	class MineMine : MineGeneric
	{
		scope = public;
		displayName = $STR_DN_MINE;
		ammo = Mine;
	};
};

// note: CfgCrew is obsolete and should be removed
// use ProxyCrew instead
class CfgCrew
{

	drivers[]=
	{
		driver,
		m113driver, m113driverout,
		m60driver, m60driverout,
		m1a1driver, m1a1driverout,
		bmpdriver, bmpdriverout,
		t72driver,t72driverout,
		t80driver,t80driverout,
		zsudriver,zsudriverout,
		tankdriver,
		pilot,
		uh60pilot, mi17pilot, mi24pilot, 
		ah1pilot, a10pilot,
		traktorista, navy,
		jeepdriver,5tdriver,
		uazdriver,
		parasutista
	};
	gunners[]=
	{
		gunner,tankgunner,
		m113gunner,m113gunnerout,
		m60gunner,m60gunnerout,
		m1a1gunner,m1a1gunnerout,
		bmpgunner,bmpgunnerout,
		zsugunner,zsugunnerout,
		t72gunner,t72gunnerout,
		t80gunner,t80gunnerout,
		uh60copilot, mi17copilot,mi24gunner,
		uh60gunner, ah1gunner, ah1gunnerstat
	};
	commanders[]=
	{
		commander,tankcommander,tankcommandersit,
		m1a1commander,m1a1commanderout,
		m60commander,m60commanderout,
		bmpcommander,bmpcommanderout,
		zsucommander,zsucommanderout,
		t72commander,t72commanderout,
		t80commander,t80commanderout
	};
	cargo[]=
	{
		jeepcodriver,jeepcodriverback,5tcodriver,
		uazcodriver,
		m113medic,nemocnej,nemocnejstat,
		cargo,codriver,vojakw
	};
};

enum {CPDriver,CPGunner,CPCommander,CPCargo};

class CfgNonAIVehicles
{
	access = ReadAndCreate;
	// all vehicle classes must be described here

	class EmptyDetector
	{
		displayName=$STR_DN_EMPTY;

		simulation="detector";
		model = "empty.p3d";
		scope=public;
	};

	class Track
	{
		model = "";
		simulation=track;
	};
	class Mark
	{
		model = "";
		simulation=mark;
	};
	class SmokeSource
	{
		model = "";
		simulation=SmokeSource;
	};
	class ObjectDestructed
	{
		model = "";
		simulation=ObjectDestructed;
	};
	class Explosion
	{
		model = "";
		simulation=Explosion;
	};
	class Crater
	{
		model = "";
		simulation=Crater;
	};
	class CraterOnVehicle
	{
		model = "";
		simulation=CraterOnVehicle;
	};
	class Slop
	{
		model = "";
		simulation=Slop;
	};
	class Smoke
	{
		model = "";
		simulation=Smoke;
	};
	class DynamicSound
	{
		model = "";
		simulation=DynamicSound;
	};
	class StreetLamp
	{
		model = "";
		destrType=DestructTree;
		simulation=StreetLamp;

		colorDiffuse[] = {0.9,0.8,0.6};
		colorAmbient[] = {0.1,0.1,0.1};
		brightness = 1;

		// note: armorBulb is different from AI entitties
		// it is direct number, not relative to overall armor
		armorBulb = 1;
	};
	class StreetLampWood: StreetLamp
	{
		scope=protected;
		model = "lampadrevo";
	};
	class StreetLampMetal: StreetLamp
	{
		scope=protected;
		model = "lampazel";
	};
	class SoundOnVehicle
	{
		model = "";
		simulation=SoundOnVehicle;
	};
	class ThunderBolt
	{
		model = "";
		simulation=ThunderBolt;
	};
	class EditCursor
	{
		model = "";
		simulation=EditCursor;
	};
	class ObjView
	{
		scope=public;
		model = "";
		simulation=ObjView;
	};
	class Temp
	{
		scope=public;
		model = "";
		simulation=Temp;
	};
	class SeaGull
	{
		scope=public;
		model = "racekT";
		simulation=SeaGull;
		reversed=false;
	};
	class Camera
	{
		scope=public;
		model = "camera";
		simulation=Camera;
	};


	// proxy object classes

	class ProxyWeapon
	{
		autocenter=false; // normal vehicle are autocentered
		scope=public;
		reversed=false;
		model = "m16_proxy";
		simulation=ProxyWeapon;
	};
	class ProxySecWeapon
	{
		autocenter=false; // normal vehicle are autocentered
		scope=public;
		model = "law_proxy";
		simulation=ProxySecWeapon;
	};
	class ProxyAK_47_Proxy: ProxyWeapon {};
	class ProxyAK_47_v58_Proxy: ProxyWeapon {};
	class ProxyAK_47_granatomet_Proxy: ProxyWeapon {};
	class ProxyRPG7_Proxy: ProxySecWeapon {};
	class ProxyLAW_Proxy: ProxySecWeapon {};
	class ProxyStinger_Proxy: ProxySecWeapon {};
	//class ProxyDalekohled_Proxy: ProxySecWeapon {};

	class ProxyAT1_Proxy : ProxyWeapon {model = AT1_Proxy; simulation = "alwaysshow";}
	class ProxyMaverik_Proxy : ProxyWeapon {model = Maverik_Proxy; simulation = "maverickweapon";}
	class ProxyScud_Strela_Proxy : ProxyWeapon {model = Scud_Strela_Proxy; simulation = "scud";}

	// crew proxies
	class ProxyCrew
	{
		autocenter=false; // proxy never autocentered
		scope=protected;
		model = kursor;
		simulation=proxycrew;
		crewPosition=CPDriver;
	};
	class ProxyCommander: ProxyCrew {crewPosition=CPCommander;};
	class ProxyDriver: ProxyCrew {crewPosition=CPDriver;};
	class ProxyGunner: ProxyCrew {crewPosition=CPGunner;};
	class ProxyCargo: ProxyCrew {crewPosition=CPCargo;};

	#define TankCrewIn(Name) \
		class Proxy##Name##Commander: ProxyCommander {}; \
		class Proxy##Name##Driver: ProxyDriver {}; \
		class Proxy##Name##Gunner: ProxyGunner {};

	#define TankCrewOut(Name) \
		class Proxy##Name##CommanderOut: ProxyCommander {}; \
		class Proxy##Name##DriverOut: ProxyDriver {}; \
		class Proxy##Name##GunnerOut: ProxyGunner {};

	#define TankCrew(Name) TankCrewIn(Name);TankCrewOut(Name)

	// define tank crews
	TankCrew(M60);
	TankCrew(M1A1);
	TankCrew(M113);

	TankCrew(BMP);
	TankCrew(T72);
	TankCrew(T80);
	TankCrew(ZSU);

	TankCrew(T55);

	class ProxyMedic: ProxyCargo {};
	class ProxyNemocnej: ProxyCargo {};

	// define plane/heli crews
	class ProxyUH60Pilot: ProxyDriver {};
	class ProxyUH60CoPilot: ProxyGunner {};
	class ProxyUH60Gunner: ProxyGunner {};

	class ProxyMi17Pilot: ProxyDriver {};
	class ProxyMi17CoPilot: ProxyGunner {};

	class ProxyMi24Pilot: ProxyDriver {};
	class ProxyMi24Gunner: ProxyGunner {};

	class ProxyAH1Pilot: ProxyDriver {};
	class ProxyAH1Gunner: ProxyGunner {};
	class ProxyAH1GunnerStat: ProxyGunner {};

	class ProxyA10Pilot: ProxyDriver {};

	class ProxyCesnaPilot: ProxyDriver {};
	class ProxyCesnaCoPilot: ProxyCargo {};
	class ProxyCesnaCargo: ProxyCargo {};

	// define car crews
	class ProxyTraktorDriver: ProxyDriver {};

	class ProxyJeepDriver: ProxyDriver {};
	class ProxyJeepGunner: ProxyGunner {};
	class ProxyJeepCoDriver: ProxyCargo {};
	class ProxyJeepCoDriverBack: ProxyCargo {};

	class Proxy5tDriver: ProxyDriver {};
	class Proxy5tCoDriver: ProxyCargo {};

	class ProxyUazDriver: ProxyDriver {};
	class ProxyUazCoDriver: ProxyCargo {};

	class ProxyUralDriver: ProxyDriver {};
	class ProxyUralCoDriver: ProxyCargo {};

	class ProxySkodaDriver: ProxyDriver {};
	class ProxySkodaCoDriver: ProxyCargo {};
	class ProxySkodaCoDriverBack: ProxyCargo {};

	class ProxyV3SDriver: ProxyDriver {};
	class ProxyV3SCoDriver: ProxyCargo {};

	class ProxyPBRDriver: ProxyDriver {};
	class ProxyPBRGunner: ProxyGunner {};

	class ProxyHRLDriver: ProxyDriver {};
	class ProxyHRLGunner: ProxyGunner {};

	class ProxySCUDDriver: ProxyDriver {};
	class ProxySCUDCoDriver: ProxyCargo {};

	// special crew
	class ProxyParasutista: ProxyDriver {};
	class ProxyM2Gunner: ProxyGunner {};
	class ProxyPKGunner: ProxyGunner {};


	class ProxyFlag
	{
		autocenter=false; // normal vehicle are autocentered
		scope=public;
		reversed=false;
		model = "";
		simulation = "flag";
	};

	class ProxyFlag_Auto : ProxyFlag {model = "flag_auto";}
	class ProxyFlag_Alone : ProxyFlag {model = "flag_alone";}
	class ProxyFlag_Alone_Big : ProxyFlag {model = "flag_alone_big";}
	class ProxyFlag_Vojak : ProxyFlag {model = "flag_vojak";}
	class ProxyFlag_Stozar : ProxyFlag {model = "flag_stozar";}
	class ProxyFlag_Plane : ProxyFlag {model = "flag_plane";}
	class ProxyFlag_Plane_Big : ProxyFlag {model = "flag_plane_big";}

	#ifdef COMMENT
	class RandomInForest
	{
		//models[] = {"str smrcicicek",0.3, rosti,0.3, "pahejl smrk",1};
		models[]= {koule,0.5, cube,1};
		autocenter=false; // normal vehicle are autocentered
		scope=public;
		reversed=false;
		model = "";
		simulation="randomshape";
	};

	class RandomInHouse
	{
		models[]=
		{
			kamna_bila,0.5,
			zidlicka,1
		};
		autocenter=false; // normal vehicle are autocentered
		scope=public;
		reversed=false;
		model = "";
		simulation="randomshape";
	};
	#endif

	class ProxyAmmoInTruck
	{
		autocenter=false; // normal vehicle are autocentered
		scope=public;
		reversed=false;
		model = "";
		simulation = "alwaysshow";
	};
	class ProxyAmmo_Bedna_In : ProxyAmmoInTruck {model = "ammo_bedna_in";}
	class ProxyAmmo_Bedna2 : ProxyAmmoInTruck {model = "ammo_bedna2";}

	/*
	class Proxystr_smrcicicek: RandomInForest {};
	class Proxyrosti: RandomInForest {};
	class Proxypahejl_smrk: RandomInForest {};
	*/

	/*

	class Proxykamna_bila: RandomInHouse {}
	class Proxyzidlicka: RandomInHouse {}
	class Proxyskrin_bar: RandomInHouse {}
	class Proxytopeni: RandomInHouse {}
	class Proxydrez: RandomInHouse {}
	class Proxystulsuplik_proxy: RandomInHouse {}

	// proxy in-house randomization
	//class Proxylampa strop
	class Proxypostel_manz_kov
	class Proxytopeni
	class Proxyskrinkamini
	class Proxytelevize
	class Proxyobrazek1
	class Proxystolek_zasupovaci
	class Proxyskrin_dvojita
	class Proxyskrin_opalena
	class Proxykamna_uhli
	class Proxytruhla_stara
	class Proxydrez
	class Proxystulsuplik_proxy
	class Proxyumyvadlo
	class Proxyzachod
	//class Proxygauc cerveny
	class Proxyobrazek1
	class Proxyobrazek2
	class Proxystolek_zasupovaci
	//class Proxykreslo cerveny
	*/

};
